Installing Team Foundation Server

[image]

Installing Team Foundation Server
Send Feedback

Team Foundation Server 2012, Update 4

This is the install guide for Team Foundation Server 2012 with Update 4 (TFS 2012.4). The latest release is Update 4. This update introduces a new SQL Server requirement for TFS: SQL Server 2008 R2 now requires service pack 1 (SP1). Previously, SP1 was only strongly recommended for some SQL Server editions, but now all SQL Server 2008 R2 editions require SP 1.

To apply TFS 2012.4 to an existing installation of TFS, you upgrade. (This is different from applying Visual Studio's updates, which work more like traditional patches.) You can also install TFS 2012.4 the same as you would any other TFS 2012 release.

Get started quickly with Team Foundation Server

Team Foundation Server with SQL Server Express

If you want to install Team Foundation Server with the least amount of preliminary work, use the basic configuration, which comes with SQL Server Express and requires the least amount of set up. The TFS installation wizard can configure everything for you in about 10 minutes, and you can ignore most of the instruction in this guide. You won't get a report server or SharePoint, which means no HTML reports for your software projects, and no website to trade Office documents and collaborate, but you will have basic bug tracking, version control, and a website on the TFS server with team productivity features.

Tip Tip

If you do use the basic configuration, consider installing it on a server operating system. If you install it on a server, you can always add a report server and SharePoint later, if you find your team needs them. If you install TFS on a client OS, adding these features is blocked, and you would have to first migrate TFS to a server OS.

Step 1 Verify that your operating system and hardware meet the requirements for Team Foundation Server. For client operating systems, you can use Windows 7 or Windows 8, 32-bit or 64-bit. For servers, you must use 64-bit.

For more information: System Requirements for Team Foundation Server.

Step 2 Run the Team Foundation Sever install (tfs_server.exe) from the product DVD, and then use the basic configuration wizard to configure your installation.

Choose the basic install

For more information: Run Team Foundation Server Installation and Configure Team Foundation Server Using the Basic Configuration.

Tip Tip

After you set up TFS, the next thing to do is use Visual Studio to create a team project.

Different ways to install Team Foundation Server

You can install Team Foundation Server in many different ways, but it's all the same product. Use the scenario that most closely matches your team's needs.

Install Team Foundation Server

You can install Team Foundation Server and all its prerequisites on a single server. This scenario focuses on new installations of prerequisite software, but you can use existing installations as long as you install all the software on the same computer.

How to: Install Team Foundation Server Using the Advanced Configuration

You can install Team Foundation Server and all its prerequisites across more than one server or by customizing any of the default options. For example, you might want reporting, but not a project portal. This scenario focuses on using your existing infrastructure for prerequisite software and incorporating other server products that offer high-value integration with Team Foundation Server, such as SharePoint Server 2010.

Upgrade Team Foundation Server

You can upgrade from an earlier release of Team Foundation Server or the beta or RC release of TFS 2012. You can also use the upgrade guidance to upgrade TFS 2012 to one of its update releases.

How to: Create a Team Foundation Server Farm (High Availability)

You can add an application-tier server to an existing deployment of Team Foundation Server to build redundancy into your deployment or to restore a failed application-tier server.

Customize your ALM environment with one or more of these applications

Add a build server or proxy to your ALM environment. Integrate Project Server or add an installation of SharePoint Products to your Team Foundation Server deployment.

Install Team Foundation Build Service

Team Foundation Build Service can help you automatically build and share code.

How to: Install Team Foundation Proxy and Set Up a Remote Site

You might save bandwidth by installing Team Foundation Server Proxy, which caches version control files so that developers working at remote locations don't have to repeatedly download the same files.

How to: Add Project Server to Team Foundation Server

If you have team members that use Project Server, you can use Team Foundation Server Extensions for Project Server to integrate Project Server with Team Foundation Server.

How to: Set Up Remote SharePoint Products for Team Foundation Server

If you don't want to run a portal on the same computer as Team Foundation Server, you can use Team Foundation Server Extensions for SharePoint Products to add SharePoint Products to Team Foundation Server. New for this version of the product, you can use this application to install SharePoint Foundation 2010 or add SharePoint to your already installed deployment of Team Foundation Server.

Send feedback on this topic to Microsoft.


Install Team Foundation Server

[image]

Install Team Foundation Server
See Also Send Feedback

Installing on a single-server

If you want to install Team Foundation Server on a single server with reporting and a team portal, use the standard configuration, which makes installation much simpler.

With the standard configuration, you first install SQL Server and the report server, but Team Foundation Server can install SharePoint Foundation 2010 for you. New for this version of Team Foundation Server, you can use an existing installation of SharePoint Products with the standard configuration wizard. This is helpful if you want the simplicity of the standard configuration, but you'd like to use a version of SharePoint Products other than the one that ships with Team Foundation Server. If you want more control over installation options, use the advanced configuration: How to: Install Team Foundation Server Using the Advanced Configuration.

You can't install SharePoint Foundation 2010 on Windows Server 2012. If you want to use the standard configuration on Windows Server 2012, you must skip the installation of SharePoint Foundation 2010.

Tip Tip

You can get step-by-step instruction for installing TFS 2012 on Windows Server 2012 with SQL Server 2012 and SharePoint 2013 by downloading, "Installing Team Foundation Server 2012: the ultimate guide for installing TFS," an e-book that comes in many popular file formats, including PDF, and RTF and is based on the material from this guide (Smashwords).

To install Team Foundation Server with the standard configuration

Step 1 Verify that the operating system and hardware meet the requirements for Team Foundation Server and all its prerequisites. New for this version of Team Foundation Server, you must use a 64-bit server if you use a server operating system. Determine the service account you will use for Team Foundation Server.

For more information: System Requirements for Team Foundation Server, Accounts Required for Installation of Team Foundation Server.

Tip Tip

With the standard configuration, you only need a single user account to install Team Foundation Server.

Step 2 Install SQL Server 2008 R2 or SQL Server 2012. You must install all of these SQL Server features: Database Engine, Full-Text Search (called Full-Text and Semantic Extractions for Search in SQL Server 2012), Analysis Services, and Reporting Services (called Reporting Services - Native in SQL Server 2012).

After you install SQL Server, configure Analysis Server for automatic failover.

SQL R2 installation

For more information: Manually Install SQL Server for Team Foundation Server, Configure Analysis Services to Recover on Failure

Step 3 Run the Team Foundation Server install from the product DVD and then use the standard configuration wizard to configure your installation. This wizard installs, configures, and integrates SharePoint Foundation 2010 with Team Foundation Server. This is where you use the single user account mentioned in the tip above.

Select TFS standard configuration

For more information: Run Team Foundation Server Installation, Configure Team Foundation Server Using the Standard Configuration

Tip Tip

Download the most recent version of the Installation Guide for Team Foundation to see any late-breaking changes to these steps.

See Also

Concepts

How to: Install Team Foundation Server Using the Advanced Configuration
Install Team Foundation Build Service


System Requirements for Team Foundation Server

[image]

System Requirements for Team Foundation Server
See Also Send Feedback

Before you install Team Foundation Server, make sure your system meets the operating system requirements described in this topic. New for this release, you must use a 64-bit server operating system to install Team Foundation Server. We support 32-bit client operating systems, but no longer support 32-bit server operating systems. Team Foundation Server offers an option to install SharePoint Foundation 2010 as a companion program for managing team documents, but doing so will substantially increase your hardware requirements. See SharePoint Hardware Requirements below.

You can also find information about hardware in this topic, but these are just recommendations, i not requirements. In general, the bigger your team, the greater your need for robust hardware. Eventually you might require more than one server to distribute the load.

Operating System Requirements

You can install Team Foundation Server on a server that is running one of the following operating systems:

Server operating systems:

  • 64-bit version of Windows Server 2008 with SP2

  • 64-bit versions of Windows Server 2008 R2 ¹ with SP1

  • 64-bit versions of Windows Server 2012 ²

Note Note

Team Foundation Server does not support the Server Core installation option of Windows Server 2008, Windows Server 2008 R2, or Windows Server 2012.

Client operating systems:

  • 64-bit or 32-bit versions of Windows 7 with SP1 (Windows 7 Home Premium with SP1, Windows 7 Professional with SP1, Windows 7 Enterprise with SP1, Windows 7 Ultimate with SP1)

  • 64-bit or 32-bit versions of Windows 8

Note Note

You can install Team Foundation Server on a client computer that is running one of the operating systems in the list. However, client operating systems do not support integration with SharePoint Products or reporting, which means no HTML reports for your software projects, and no website to trade Office documents and collaborate. If you want to use either of these features, you must install Team Foundation Server on a server operating system.

¹ If you are installing Team Foundation Server or SQL Server on Windows Server 2008 R2, you must have .NET Framework 3.5 installed. On Windows Server 2008 R2, you can install .NET Framework 3.5 by using the Add Features Wizard from Server Manager. For more information, see the following page on the Microsoft website: Adding Server Roles and Features.

² Because Team Foundation Server installs SharePoint Foundation 2010 with the standard configuration, you can't use it on Windows Server 2012. If you want to install Team Foundation Server on Windows Server 2012, use the advanced configuration and skip the installation of SharePoint Foundation 2010.

Additional software requirements

TFS also has requirements for SQL Server, which is required by TFS. TFS has requirements for SharePoint and Project Server, but TFS does not require these products. For more information, see SQL Server Requirements for Team Foundation Server, SharePoint Products Requirements for Team Foundation Server and Project Server Requirements for Team Foundation Server.

Hardware Recommendations

The following table includes hardware guidelines for teams installing Team Foundation Server without SharePoint Products. Small shops can run Team Foundation Server with the basic configuration, which requires only 1GB RAM and 8 GB of hard disk space.

Number of users | Configuration | CPU | Memory | Hard disk
Fewer than 250 users | Single-server (Team Foundation Server and the Database Engine on the same server). | 1 single core processor at 2.13 GHz | 2 GB | 1 disk at 7.2k rpm (125 GB)
250 to 500 users | Single-server. | 1 dual core processor at 2.13 GHz | 4 GB | 1 disk at 10k rpm (300 GB)
500 to 2,200 users | Dual-server (Team Foundation Server and the Database Engine on different servers). This row is for Team Foundation Server. | 1 dual core Intel Xeon processor at 2.13 GHz | 4 GB | 1 disk at 7.2k rpm (500 GB)
 | This row is for the Database Engine with 500 to 2,200 users. | 1 quad core Intel Xeon processor at 2.33 GHz | 8 GB | SAS disk array at 10k rpm (2 TB)
2,200 to 3,600 users | Dual-server. This row is for Team Foundation Server. | 1 quad core Intel Xeon processor at 2.13 GHz | 8 GB | 1 disk at 7.2k rpm (500 GB)
 | This row is for the Database Engine with 2,200 to 3,600 users. | 2 quad core Intel Xeon processors at 2.33 GHz | 16 GB | SAS disk array at 10k rpm (3 TB)

SharePoint Hardware Requirements

If you install SharePoint Products, you will need more robust hardware than what is listed in the previous table. For example, SharePoint Foundation 2010, which Team Foundation Server can install for you, requires a 64-bit 4 core CPU and a base minimum of 4 GB of system memory. If you have only 4 GB, the Team Foundation installer will warn that you should have 10 GB, but you will be able to finish the install.

Go here for complete SharePoint hardware requirements:

  • Hardware and software requirements for SharePoint 2013 (SharePoint Foundation 2013/SharePoint Server 2013

  • Hardware and software requirements (SharePoint Foundation 2010)

  • Hardware and software requirements (SharePoint Server 2010)

  • Determine hardware and software requirements (Windows SharePoint Services)¹

  • Determine hardware and software requirements (Office SharePoint Server)¹

¹ Although SharePoint supports Windows Server 2003, TFS 2012 does not. You can't install TFS SharePoint extensions on a server that does not meet the minimum TFS requirements listed on this page.

For a complete list of supported versions of SharePoint, go here: SharePoint Products Requirements for Team Foundation Server

Virtualization

Microsoft supports the virtualization of Team Foundation Server in supported virtualization environments. For more information, see the following pages on the Microsoft website:

  • Microsoft server software and supported virtualization environments

  • Support policy for Microsoft software running in non-Microsoft hardware virtualization software

  • Support partners for non-Microsoft hardware virtualization software

  • Server Virtualization (officially supported products)

Compatibility and Team Foundation Server 2012

The links below provide guidance about browser compatibility, the numerous clients available for working with this version of TFS, and backwards compatibility with previous TFS clients, especially with regard to new features in this version of TFS.

  • Supported web browsers

  • Supported TFS clients

  • Compatibility between Team Foundation Clients and Team Foundation Server

Tip Tip

Do you wonder which client to use for any given task? See Choosing the Right Tool for the Task to Manage Projects, Collaborate, and Monitor Progress in Visual Studio ALM (Visual Studio ALM + Team Foundation Server Blog)

More information on Team Foundation Server requirements for companion products: SQL Server, SharePoint Products, and Project Server

SQL Server Requirements for Team Foundation Server

Team Foundation Server requires SQL Server, but you have many options, including an option to let Team Foundation Server install SQL Server Express for you.

SharePoint Products Requirements for Team Foundation Server

Team Foundation Server doesn't require SharePoint Products. If you want to use SharePoint Products, you have many options, including the option to let Team Foundation Server install SharePoint Foundation 2010 for you.

Project Server Requirements for Team Foundation Server

Team Foundation Server doesn't require Project Server, but if you want to use it, you must use a supported version.

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server
How to: Add Project Server to Team Foundation Server


Language Requirements for Team Foundation Server

[image]

Language Requirements for Team Foundation Server
See Also Send Feedback

You can install TFS in various languages on supported operating systems in various languages. However, you cannot use every combination of localized operating system with TFS and you can't install multiple languages on a single TFS server. The language of the installation of SharePoint Products can also complicate your deployment. However, you can add an appropriate language pack to the server that is running SharePoint Products to meet requirements for Team Foundation Server.

The following table outlines the various language combinations that are supported:

Operating system | Team Foundation Server | SharePoint Products
English | English | English
English | Language other than English | Language (or language pack) must match Team Foundation Server
Language other than English | English | English (or English language pack added)
Language other than English | Language must match the operating system | Language (or language pack added) to match Team Foundation Server

The following rules clarify the language requirements for installations of Team Foundation Server.

  • If you are running an English language operating system, you can install any language version of Team Foundation Server. If you are not running an English language operating system, you must install the English version of Team Foundation Server or the version of Team Foundation Server that has been localized for the same language as the operating system.

  • If you want to use SharePoint Products, it must match the language of the installation of Team Foundation Server, or you must install the language pack that matches the language of your installation of Team Foundation Server.

For example, you can install a Japanese version of Team Foundation Server on an English or Japanese operating system but not on a German operating system. If you install a Japanese version of Team Foundation Server, you must also have either a Japanese version of SharePoint Products or the Japanese language pack for SharePoint Products on the server that is running SharePoint Products.

The following components do not have additional language requirements that are specific to working with Team Foundation Server:

  • Team Foundation Build Service

  • Team Foundation Server Proxy

  • Team Explorer

  • Visual Studio Lab Management

Test controllers and agents have their own language requirements. For more information, see the following page on the Microsoft website: Test Controller and Test Agent Requirements

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements


Team Foundation Server Requirements for Active Directory

[image]

Team Foundation Server Requirements for Active Directory
See Also Send Feedback

You can install Visual Studio Team Foundation Server on more than one server if they are all joined to an Active Directory domain that is based on a functional level that Team Foundation Server supports. You can install Team Foundation Server on a single server that is joined to an Active Directory domain or that is a member of a workgroup.

You cannot install Team Foundation Server on servers that are joined to domains whose domain controllers are running Windows NT Server 4.0. The following table shows which functional levels for Active Directory domains Team Foundation Server supports.

Functional levels for Active Directory domains | Supported
Windows 2000 mixed mode Domain controllers that are running Windows NT Server 4.0, Windows 2000, Windows Server 2003, and Windows Server 2003 R2. | No
Windows 2000 native mode Domain controllers that are running Windows 2000, Windows Server 2003, Windows Server 2003 R2, or Windows Server 2008. | Yes
Windows Server 2003 interim mode Domain controllers that are running Windows NT Server 4.0, Windows Server 2003, and Windows Server 2003 R2. | No
Windows Server 2003 mode Domain controllers that are running Windows Server 2003, Windows Server 2003 R2 or Windows Server 2008. | Yes
Windows Server 2008 mode Domain controllers that are running Windows Server 2008 | Yes

See Also

Concepts

TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server
How to: Add Project Server to Team Foundation Server


Run Team Foundation Server Installation

[image]

Run Team Foundation Server Installation
See Also Send Feedback

Follow these steps to run the Team Foundation Server installer. With this process, you copy Team Foundation Server to your file system and configure the features appropriate for your operating system and deployment.

For remote SharePoint Products deployments, you can use a special version of the installation program that installs only the Team Foundation Server extensions on the SharePoint Products server. This keeps the server running SharePoint Products tidy. You don't need to run this special installer on the server running Team Foundation Server, where the extensions are installed by default with most installations of Team Foundation Server.

Tip Tip

If you have a remote portal for your SharePoint Products, you must install Team Foundation Server Extensions for SharePoint Products on the remote portal. If multiple servers are running SharePoint Products in a web farm, you must install and configure these extensions on every server in that farm.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group.

To run the Team Foundation Server installer

  1. Insert the Team Foundation Server DVD in the drive and launch the tfs_server.exe file to begin the installation.

    Tip Tip

    If you don't want to install all of Team Foundation Server on the server that is running SharePoint Products, launch the tfs_sharePointExtensions.exe file from the SharePoint Extensions folder to install only the Team Foundation Server Extensions for SharePoint Products.

  2. On the license terms dialog box, accept the license terms and then choose Install Now. If you want to install Team Foundation Server to a specific location in the file system, choose the browse button (...) next to the default install location.

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server


Configure Team Foundation Server Using the Basic Configuration

[image]

Configure Team Foundation Server Using the Basic Configuration
See Also Send Feedback

You can configure Team Foundation Server to use the basic configuration, which enables you to use SQL Server Express.

Tip Tip

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Application Tier, and then choosing Configure Installed Features.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running Team Foundation Server.

To configure Team Foundation Server by using the basic configuration

  1. In the Team Foundation Server Configuration tool, choose Basic, Start Wizard.

    The Basic Configuration wizard appears.

  2. Read the Welcome screen, and then choose Next.

  3. Perform one of the following actions:

    • Choose Install SQL Server Express to host the configuration database on an instance of SQL Server Express, and then choose Next.

    • Choose Use an existing SQL Server Instance to host the configuration database on an existing instance of SQL Server, and choose Next. Then, in SQL Server Instance, type the name of the server that is running SQL Server or the named instance that will host the configuration database, and choose Next. Choose Test to test the connectivity to SQL Server.

  4. Review the information, and then choose Next.

    The wizard validates your configuration.

  5. Choose Configure.

    The wizard applies configuration settings.

  6. Choose Next.

  7. Choose Close.

  8. Choose Close.

    The Team Foundation Server Administration Console appears.

See Also

Concepts

Installing Team Foundation Server


Configure Team Foundation Server Using the Standard Configuration

[image]

Configure Team Foundation Server Using the Standard Configuration
See Also Send Feedback

You can configure Team Foundation Server to use the standard configuration. To complete this procedure, you must have a domain account to use as the service account for SharePoint Foundation 2010 (WSSSERVICE).

For more information about accounts, see Accounts Required for Installation of Team Foundation Server

Tip Tip

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Application Tier, and then choosing Configure Installed Features.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running Team Foundation Server.

To configure Team Foundation Server by using the standard configuration

  1. Choose Standard Single Server, and then choose Start Wizard.

    The Team Foundation Server Standard Configuration wizard appears.

  2. Read the Welcome screen, and then choose Next.

  3. In User Account, enter the name of the service account that you want to use for SharePoint Foundation 2010 (WSSSERVICE).

    This account is also used as the report reader account to create reports (TFSREPORTS).

  4. In Password, enter the password for this service account, and then choose Next.

  5. Choose Install SharePoint Foundation 2010.

  6. After Team Foundation Server installs SharePoint Foundation 2010, choose Next.

  7. Review the information, and then choose Next.

    The wizard validates your configuration.

  8. Choose Configure.

    The wizard applies configuration settings.

  9. Choose Next.

  10. Choose Close.

  11. Choose Close.

    The Team Foundation Server Administration Console appears.

See Also

Concepts

Install Team Foundation Server


How to: Install Team Foundation Server Using the Advanced Configuration

[image]

How to: Install Team Foundation Server Using the Advanced Configuration
See Also Send Feedback

Installing Team Foundation Server on Multiple Servers Using Existing Infrastructure

Installing on more than one server

If you want to change the default installation options for Team Foundation Server, use the advanced configuration, which lets you configure Team Foundation Server on multiple servers and change many other options.

Why use advanced? The standard installation might not fit your needs. You might want to customize a single server installation or install Team Foundation Server and its configuration database on different servers. Perhaps you already have SQL Server or SharePoint Products running in your organization and you'd like to use one of these installations to host team projects or the data for Team Foundation Server. If you use the optional features that require prerequisite server software, these installations can also be hosted on different servers. If you use multiple servers, you can distribute the load between Team Foundation Server and the configuration database, or you can ensure that prerequisite server software for features such as reporting or the portal site is running on capable hardware.

Don't confuse the multiple server installation with the robust scale-out features that Team Foundation Server offers. These scale-out features include the ability to create a Team Foundation Server farm and add a team project collection to an instance of SQL Server that was not part of the original deployment of Team Foundation Server. However, these scale-out features are not part of this scenario. This scenario offers you guidance for an initial deployment of Team Foundation Server that takes advantage of configurable installation options, such as installing TFS on more than one server. For more information about how to add an application-tier server to your deployment of Team Foundation Server, see How to: Create a Team Foundation Server Farm (High Availability).

A multiple-server installation requires an Active Directory domain and domain accounts or the Network Service account. You cannot use local accounts for service accounts.

Tip Tip

You can get step-by-step instruction for installing TFS 2012 on Windows Server 2012 with SQL Server 2012 and SharePoint 2013 by downloading, "Installing Team Foundation Server 2012: the ultimate guide for installing TFS," an e-book that comes in many popular file formats, including PDF, and RTF and is based on the material from this guide (Smashwords).

To install Team Foundation Server with the advanced configuration

The tasks in the following table help you prepare the operating systems and network environment for a multiple server Team Foundation Server installation.

Task

Detailed instructions

Step 1

Check for supported hardware and software. Verify that the operating system on every server where you will install a Team Foundation Server component meets Team Foundation Server requirements. Verify the hardware is capable of running Team Foundation Server and all prerequisite server software. Review the language requirements for Team Foundation Server.

To use Team Foundation Server on multiple servers, you must have an Active Directory domain that meets the requirements of Team Foundation Server.

Check for required permissions and user accounts. Verify that the account that you will use to install Team Foundation Server is a member of the Administrators security group on the servers where you will install Team Foundation Server. If you plan to configure reporting, you must also be a member of the Administrators security group on the server that is running SQL Server Reporting Services. If you plan to configure SharePoint Products, you must be a member of the Farm Administrators group on the SharePoint Central Administration site.

Determine the service accounts that you will use to install Team Foundation Server, SQL Server, and SharePoint Products.

  • System Requirements for Team Foundation Server

  • Language Requirements for Team Foundation Server

  • Accounts Required for Installation of Team Foundation Server

  • Team Foundation Server Requirements for Active Directory

  • Ports Required for Installation of Team Foundation Server

Step 2

Set up SQL Server. Review the Team Foundation Server collation requirements. Determine the collation settings that your organization requires for its data and ensure that those settings meet the requirements of Team Foundation Server. If these settings are not consistent across all SQL Server instances added to Team Foundation Server, you may get unexpected results in reports.

Either install SQL Server on the server where you will host the Database Engine and Full text search features or verify that an existing installation meets Team Foundation Server requirements. By default, Team Foundation Server creates required databases during installation, but you can provision empty databases, using appropriate naming conventions. Provisioning empty databases is optional.

(Optional) Set up Reporting. If you want to use reporting, you must either install SQL Server Reporting Services and SQL Server Analysis Services or verify that an existing installation meets Team Foundation Server requirements. You do not have to use the same SQL Server instance for the report server as the one that you used for the Database Engine. You can even use multiple servers to host the report server. However, your report server cannot be shared with other applications. Team Foundation Server requires a dedicated report server. If your report server is not on the same server as Team Foundation Server, you must add the service account for Team Foundation Server to the Content Manager group on the report server.

Verify SQL Server. Verify that all instances of SQL Server are configured to meet the minimum requirements of Team Foundation Server.

  • SQL Server Requirements for Team Foundation Server

  • Manually Install SQL Server for Team Foundation Server

  • Add the Service Account for Team Foundation Server to the Report Server

  • Verify SQL Server for Team Foundation Server

  • SQL Server Collation Requirements for Team Foundation Server

  • Provisioning SQL Server Databases for Team Foundation Server

Step 3

(Optional) Install and configure Microsoft Office SharePoint 2007 or SharePoint Server 2010 on the application tier (pictured).

If you plan to use the installation SharePoint Products that comes with the installation of Team Foundation Server, skip to the installation of Team Foundation Server. If you want to do something else with SharePoint, you have the following options:

  • Install a supported version of SharePoint Products on the application tier before you install Team Foundation Server. Helpful if you don't want to use the version of SharePoint that ships with Team Foundation Server. If you are using Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, perform the required configurations for dashboard compatibility before you install Team Foundation Server.

  • Install Team Foundation Server on a server that hosts a supported installation of SharePoint Products. Helpful if you already have an installation of SharePoint and don't mind installing Team Foundation Server on the same hardware. Remember to verify your SharePoint configuration before you install Team Foundation Server.

  • Install Team Foundation Server extensions for SharePoint Products onto a remote installation of SharePoint Products. Helpful if you have SharePoint running on hardware different from where you'll install Team Foundation Server. Remember to install the Team Foundation Server extensions for SharePoint and make any required configurations for dashboards before you install Team Foundation Server.

  • Manually Install SharePoint Products on Windows Server for Team Foundation Server

  • Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility

  • Verify SharePoint Products for Team Foundation Server

  • How to: Set Up Remote SharePoint Products for Team Foundation Server

Step 4

Set up Team Foundation Server. Install Team Foundation Server, and then use the Team Foundation Server Configuration tool to configure your deployment.

Final configuration of Microsoft Office SharePoint 2007 or SharePoint Server 2010.

If you installed Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, you must configure the enterprise application definition that you created for Team Foundation Server. If you are using Windows SharePoint Services 3.0 or skipped installation of SharePoint Products, you can skip this step.

  • Run Team Foundation Server Installation

  • Configure Team Foundation Server Using the Advanced Configuration

  • Configure the Enterprise Application Definition for Team Foundation Server

Tip Tip

Download the most recent version of the Installation Guide for Team Foundation to see any late-breaking changes to these steps.

See Also

Concepts

How to: Create a Team Foundation Server Farm (High Availability)
How to: Set Up Remote SharePoint Products for Team Foundation Server
SharePoint Products Requirements for Team Foundation Server


Configure Team Foundation Server Using the Advanced Configuration

[image]

Configure Team Foundation Server Using the Advanced Configuration
See Also Send Feedback

You can set up Team Foundation Server using the advanced configuration, which allows you to customize most settings. Although you can run this configuration on a client or server operating system, if you use a client, you won't be able to add a portal or reporting to your deployment.

To complete this procedure on a client operating system, you don't need any domain accounts. On a server, you must have at least one domain account, which you can use for all of the following identities:

  • The service account for Team Foundation Server (TFSSERVICE).

  • The report reader account for creating reports (TFSREPORTS).

  • The service account for new installations of SharePoint Foundation 2010 (WSSSERVICE).

For more information about accounts, see Accounts Required for Installation of Team Foundation Server.

Tip Tip

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Application Tier, and then choosing Configure Installed Features.

Required Permissions

You must be a member of the Administrators security group on the server on which you will install Team Foundation Server. If you plan to configure reporting, you must also be a member of the Administrators security group on the server that is running SQL Server Reporting Services. If you plan to configure SharePoint Products, you must be a member of the Farm Administrators group on the SharePoint Products administration site. If you did not install the Database Engine that will host the configuration database or a database administrator manages the instance of SQL Server that you are using, you must be a member of sysadmin Server role in SQL Server.

Tip Tip

If you or your database administrator want a better understanding of the required SQL Server permissions, see the following page on the Microsoft website: Database Permissions Required to Configure TFS.

To configure Team Foundation Server using the advanced configuration

  1. In the Team Foundation Server Configuration tool, choose Advanced, and then choose Start Wizard.

    The Advanced Configuration wizard appears.

  2. Read the Welcome screen, and then choose Next.

  3. In SQL Server Instance, type the name of the server that is running SQL Server or the named instance that will host the configuration databases, and choose Next.

    You can also perform any of these optional steps:

    • Select This instance is a SQL AwlaysOn Availability Group to specify that the SQL Server instance is an Availability Group Listener (AGL) and its availability group will host the TFS databases created during set up. See Use SQL Server 2012 Always On Availability Groups with Team Foundation Server.

    • In Server Database Label, type a label string, which is then embedded into all three of the default database names.

      This technique enables you to use a single instance of SQL Server to host multiple configuration databases.

    • Select the Use pre-existing empty database(s) check box, and then specify databases that are hosted on the server that is named in SQL Server Instance.

      You must create names for these databases by using the default naming structure, with or without a label. You can find the default naming structure under Team Foundation Server Databases.

    • Choose Test to test the connectivity to SQL Server.

  4. Under Service Account, choose Use a system account to use a built-in account or Use a user account to use a domain or local account. If you are using a user account, you must type the password. To test the user account and password combination, you can optionally choose Test.

    A built-in account is the default value for this service account (TFSSERVICE).

  5. Under Authentication Method, choose NTLM or Negotiate (Kerberos), and then choose Next.

    • If you choose NTLM, NTLM authentication is used. This option is the default setting.

    • If you choose Negotiate (Kerberos), Kerberos authentication is attempted first. If that attempt fails, NTLM authentication is used.

  6. Under Web Site, type a name in Web Site Name and a port number in Port. This is the name that appears in Internet Information Services (IIS) and the port number used to connect to Team Foundation Server.

    The default values for Web Site are Team Foundation Server and 8080.

  7. Under IIS Virtual Directory, you can use the default value of tfs or optionally type a virtual directory name.

  8. Under Web Site, note the Team Foundation Server site URL, which is dynamically assembled based on your input in Web Site and IIS Virtual Directory. Clients use this URL to connect to Team Foundation Server. Choose Next.

    On a client operating system, you must skip to step 11. You can't add a portal or reporting (steps 9 and 10) on a client operating system.

  9. Use the Configure Reporting for Team Foundation Server page to opt in or out of using reporting. Select the Configure Reporting for use with Team Foundation Server check box to use reporting, or clear the check box to skip reporting, and then choose Next.

    1. Type the name of the server that is running SQL Server Reporting Services in Reporting Services Instance and choose Populate URLs.

      The URLs for the report server and its management site appear in the drop-down lists for Report Server URL and Report Manager URL.

    2. Ensure the values displayed are the URLs that you want to use for Team Foundation Server and choose Next.

    3. Type the name of the server that is running SQL Server Analysis Services in SQL Analysis Services Instance and choose Next.

      To test the connectivity to SQL Server, you can optionally choose Test.

    4. Type the name and password of the report reader account (TFSREPORTS) and choose Next.

      If you specified a user account for the service account of Team Foundation Server in step 4, you must select the Use a different account than the Team Foundation Server service account for the report reader account check box to use a different account.

      To test the user account and password combination, you can optionally choose Test.

  10. Use the Configure SharePoint for Team Foundation Server page to opt in or out of using SharePoint Products. Select the Configure SharePoint Products for use with Team Foundation Server check box to use SharePoint Products, or clear the check box to skip SharePoint Products. Choose Next.

    If you selected the check box to configure SharePoint Products, perform one of the following procedures:

    • Install and configure SharePoint on this machine.

      1. Choose Install and configure SharePoint on this machine and choose Next.

      2. Choose the big Install SharePoint Foundation 2010 button. Once the install completes, choose Next.

      3. Type a user account and password for the service account forSharePoint Foundation 2010 (WSSSERVICE). If you specified a user account for the service account of Team Foundation Server in step 4, you must select the Use a different account than the Team Foundation Server service account for the SharePoint farm check box to use a different account.

      4. Choose Next.

    • Integrate with a remote SharePoint farm.

      1. Choose Integrate with a remote SharePoint farm and choose Next.

      2. In Site URL, type the URL for the SharePoint web app.

      3. In Administration URL, type the URL for the SharePoint Central Administration site. To test connectivity to each of these URLs, choose Test.

      4. Choose Next.

  11. Select the Create a new team project collection check box to create a collection, or clear that check box to skip that step.

    If you create a collection, accept the default values, or type a new name and description. Choose Next.

  12. On the Review page, review the settings, and choose Next.

    The wizard validates your configuration.

  13. Choose Configure.

    The wizard applies configuration settings. This process might take several minutes.

  14. Choose Next. Close, Close.

    The Team Foundation Server Administration Console appears.

See Also

Concepts

How to: Set Up Remote SharePoint Products for Team Foundation Server
Install Team Foundation Build Service


How to: Create a Team Foundation Server Farm (High Availability)

[image]

How to: Create a Team Foundation Server Farm (High Availability)
Send Feedback

Add a Team Foundation Server

You might add an application-tier server to an existing deployment of Team Foundation Server for any of the following reasons:

  • You want to build redundancy into your deployment of Team Foundation Server.

  • You want your deployment of Team Foundation Server to run faster.

  • You want to restore an application-tier server that has failed.

  • You want to move an application tier to a different server.

Redundancy and performance

By using the Application-tier Only Configuration wizard, you can enhance the availability, scalability, and performance of your application tier.

To benefit from multiple application-tier servers, you should ensure that your initial deployment of Team Foundation Server includes the following characteristics:

  • The application tier and the configuration database are installed on separate servers.

  • You used a domain account for the Team Foundation Server service account (TFSSERVICE).

  • Network Load Balancing (NLB) is deployed.

You use NLB to create a cluster of Web servers that appear as a single logical Web service. This procedure is separate from the Application-tier Only Configuration wizard. For more information about how to set up NLB, see the following page on the Microsoft website: Network Load Balancing.

If you create an NLB cluster, you do not need to use a SQL Server cluster for your configuration database or any team project collection. For the purposes of performance, scalability, and availability, any SQL Server cluster that you might deploy is independent of the NLB cluster.

Disaster recovery and hardware upgrade

If you have a backup of your configuration database and your application tier has a hardware failure, you can use the Application-tier Only Configuration wizard to restore the application tier.

You can also move your application tier with the Application-tier Only Configuration wizard. Although no particular architecture is required to move an application tier, you must have access to the configuration database for the deployment.

To create a Team Foundation Server Farm

Use the steps in this checklist to add an application tier to an existing deployment of Team Foundation Server.

Task

Detailed instructions

Step 1

Check for supported hardware and software. Verify that the operating system and hardware meet requirements for Team Foundation Server.

  • System Requirements for Team Foundation Server

Step 2

Set up Team Foundation Server. Install Team Foundation Server and run the Application-Tier Only Configuration wizard.

  • Run Team Foundation Server Installation

  • Configure Team Foundation Server Using the Application-Tier Only Configuration Wizard

Tip Tip

Download the most recent version of the Installation Guide for Team Foundation to see any late-breaking changes to these steps.


Configure Team Foundation Server Using the Application-Tier Only Configuration Wizard

[image]

Configure Team Foundation Server Using the Application-Tier Only Configuration Wizard
Send Feedback

You can use a wizard to add an application tier to an existing Team Foundation Server deployment.

Your Team Foundation Server deployment must use a domain account for its service account (TFSSERVICE). If you originally used a built-in account for TFSSERVICE, you must change it to a domain account. For more information, see the section "Assigning a Different Account as the Service Account" on this page on the Microsoft website: Change the Service Account or Password for Team Foundation Server.

Tip Tip

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Application Tier, and then choosing Configure Installed Features.

Required permissions

To perform this procedure, you must be a member of the Administrators security group on the server.

To configure Team Foundation Server by using the application-tier only option

  1. Choose Application-Tier Only Configuration, and then choose Start Wizard.

    The Team Foundation Server Application-Tier Only wizard appears.

  2. Read the Welcome screen, and then choose Next.

  3. In SQL Server Instance, type the instance of SQL Server that hosts the configuration database for the installation of TFS for which you want to add an application-tier server, and then choose List Available Databases.

    The wizard lists all the databases on that instance of SQL Server.

  4. Choose a database, and then choose Next.

    The wizard displays the application-tier settings for this server.

  5. In the list, choose the account you want to use. Enter the password for the service account. To test the user account and password combination, you can optionally choose Test.

    Note Note

    Make sure that the service account you specify has been added to the Farm Administrators group for the SharePoint Central Administration site. For more information, see Add the Service Account for Team Foundation Server to the Farm Administrators Group.

  6. Under Authentication Method, choose NTLM to use NTLM authentication or Negotiate (Kerberos) to first attempt Kerberos authentication, the more secure option. If that fails, fall back to NTLM. Choose Next.

    NTLM is the default value.

  7. On the Review page, review the settings, and then choose Next.

    The wizard validates your configuration.

  8. Choose Configure.

    The wizard applies configuration settings.

  9. Choose Next.

  10. Choose Close.

  11. Choose Close.

    The Team Foundation Server Administration Console appears.

Tip Tip

If you want to connect to an NLB cluster from a client that is running on one of the application-tier servers in the cluster, you should connect using localhost as the name of the server, instead of the Domain Name System (DNS) name for the load balancer. By default, Internet Information Services (IIS) prevents you from connecting to an NLB cluster from any server in the cluster, unless you use localhost as the name of the cluster.


SQL Server Requirements for Team Foundation Server

[image]

SQL Server Requirements for Team Foundation Server
See Also Send Feedback

Team Foundation Server requires SQL Server 2008 R2 SP1 or SQL Server 2012.

Tip Tip

TFS 2012.4 introduces a new SQL Server requirement for TFS 2012: SQL Server 2008 R2 now requires service pack 1 (SP1). Previously, SP1 was only strongly recommended for some SQL Server editions, but now all SQL Server 2008 R2 editions require SP 1.

You have multiple options for SQL Server:

  • You can use the basic configuration of Team Foundation Server, which comes with SQL Server 2012 Express.

  • You can install one of the supported editions of SQL Server 2008 R2 with SP1 or SQL Server 2012.

  • You can use an existing installation of SQL Server 2008 R2 with SP1 or SQL Server 2012.

Regardless of which option you choose, your instance of SQL Server must meet the following requirements:

Supported editions

  • SQL Server 2008, R2 Express¹ with SP1 (Limitations of SQL Server Express - stackoverflow post)

  • SQL Server 2008, R2 Standard Edition¹ with SP1

  • SQL Server 2008, R2 Enterprise Edition with SP1

  • SQL Server 2012, Express¹

  • SQL Server 2012, Standard Edition¹

  • SQL Server 2012, Enterprise Edition

Supported Service Pack level

  • SQL Server 2008 R2, Service Pack 1

  • SQL Server 2008 R2, Service Pack 2

  • SQL Server 2012, Service Pack 1²

Required for Team Foundation Server

  • Database Engine Services

  • Full-Text Search (or Full-Text and Semantic Extractions for Search in SQL Server 2012)

Required for reporting

  • Reporting Services (or Reporting Services - Native in SQL Server 2012)

  • Analysis Services

Collation settings

  • Must be accent sensitive

  • Must not be case sensitive

  • Must not be Binary

  • Must not be Binary - code point

For more information, see SQL Server Collation Requirements for Team Foundation Server.

Authentication

Windows authentication

Service account

You can use a domain account or a built-in account.

¹ Limited or no SQL Server High Availability support.

² If you're using SQL Server 2012 with SP1, we recommend you also apply cumulative update 2 on top of SP1 to address a critical SQL Server bug around resource consumption. This isn't a requirement because the bug only affects a small number of instances, but we wanted you to be aware of it. If you don't apply CU2, you should apply a SQL Server hotfix (KB2793634) to addresses another (different) issue where SQL Server 2012 with SP1 might request an excessive amount of restarts.

Tip Tip

For TFS installations that require running SQL Server on dedicated hardware, hardware recommendations are available. For more information, see System Requirements for Team Foundation Server

SQL Server High Availability features supported by Team Foundation Server

SQL Server 2012 brings with it a new high availability (HA) feature that requires a Team Foundation Server-specific configuration and new recommendations for which HA features to use. In Team Foundation Server 2010, a lot of work went into making Team Foundation Server independent of the SQL Server configuration, especially regarding its HA features. The goal was that Team Foundation Server would work without any HA-specific configurations, no matter which HA feature you used. The reality is that the breadth of HA features in SQL Server is too great to pledge support for all of them, and Always On Availability Groups does require a small amount of TFS specific configuration.

SQL Server HA feature | TFS support | Requires TFS Configuration
Always On Failover Cluster Instances¹/ Failover Clustering | Yes | No
Always On Availability Groups² | Yes | Yes For more information, see: Use SQL Server 2012 Always On Availability Groups with Team Foundation Server
SQL Mirroring³ | Yes | No
SQL Replication | No | No
SQL Log Shipping | No | No

¹ Always On Failover Cluster Instances was known as "Failover Clustering" in versions before SQL Server 2012.

² Available only in SQL Server 2012.

³ Deprecated feature. Available only in SQL Server 2008 R2.

How to install SQL Server for Team Foundation Server

Manually Install SQL Server for Team Foundation Server

Provides steps for how to install SQL Server for Team Foundation Server. Use these steps whether you are installing on a single server, across multiple servers, or for any combination of the two.

Add the Service Account for Team Foundation Server to the Report Server

Describes how to assign permission to the service account for Team Foundation Server to use the report server.

Verify SQL Server for Team Foundation Server

Provides steps to verify that a SQL Server instance is ready to work with Team Foundation Server.

More SQL Server tasks for Team Foundation Server

Provisioning SQL Server Databases for Team Foundation Server

Describes how to create empty databases where Team Foundation Server can host its data on SQL Server.

Work with SQL Server Named Instances

What is a SQL Server named instance and how would I use it?

Conceptual information about SQL Server and Team Foundation Server

Understanding SQL Server and SQL Server Reporting Services

Pulling it all together: Interactions between Team Foundation Server and SQL Server

Team Foundation Server Databases

A comprehensive list of the databases used to store Team Foundation Server data

SQL Server Reporting Services Roles

A brief explanation of how roles work in SQL Server Reporting Services

SQL Server Collation Requirements for Team Foundation Server

Explains the Team Foundation Server requirements for SQL Server collation settings.

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements


Manually Install SQL Server for Team Foundation Server

[image]

Manually Install SQL Server for Team Foundation Server
See Also Send Feedback

If you install SQL Server for Team Foundation Server, you must install certain SQL Server features, but other features are required only if you want to generate reports. To run Team Foundation Server, you must install both the Database Engine and Full-Text Search on the same instance of SQL Server. However, that instance does not have to run on the same server as Team Foundation Server.

Requirements for reporting

If you want to generate reports, you must install both Analysis Services and Reporting Services. You can install one or both of these features on the same server as Team Foundation Server, or you can install each feature on a different server from each other and from Team Foundation Server.

If SQL Server Reporting Services is not on the server that is running Team Foundation Server and you are using reporting, you must install Client Tools Connectivity on Team Foundation Server.

Tip Tip

SQL Server Express does not include Client Tools Connectivity, but you can add it by following the procedures in this topic.

Recommendations for SQL Server Topologies

Team Foundation Server supports numerous SQL Server topologies, partly to accommodate teams with existing SQL Server installations. Here are some guidelines for SQL Server topologies you might use for Team Foundation Server. No matter which topology you use, we recommend that you use the same edition of SQL Server for all servers that will host data on Team Foundation Server. For example, if you intend to use a separate server for reporting, you should ensure that it is running the same edition of SQL Server as the server that hosts the configuration database for Team Foundation Server.

These are the recommended setups depending on how many servers you're using:

  • Single server: Install the Database Engine, Full-Text Search, SQL Server Reporting Services, and Analysis Services on the same server that is running Team Foundation Server. See Install Team Foundation Server.

  • Dual Server: Install SQL Server Reporting Services and Team Foundation Server on the same server; install the Database Engine, Full-Text Search, SQL Server Analysis Services on another server. This scenario splits HTTP traffic from SQL Server traffic. If you don't want reporting, you don't need SQL Server Reporting Services, and Analysis Services.

  • Multiple Server: Install the Database Engine and Full-Text Search on one server; SQL Server Reporting Services on a second server; Analysis Services on a third server (Reporting Services and Analysis Services could also be on the same server); and Client Tools Connectivity on the server that is running Team Foundation Server. If you don't want reporting, you don't need SQL Server Reporting Services, Analysis Services, or Client Tools Connectivity; excluding these effectively turns this into a dual-server topology.

For more information about deployments that use multiple server combinations, see How to: Install Team Foundation Server Using the Advanced Configuration

Report Server topology

The report server requires a relational database to function. This database can be the relational database that Team Foundation Server will use or a separate instance. If you install SQL Server Reporting Services and the Database Engine on the same server, SQL Server setup can configure Reporting Services automatically by using the relational database on the Database Engine instance. If you install Reporting Services without the Database Engine, you must manually configure Reporting Services after you install SQL Server. This involves specifying an instance of the Database Engine where you can host the relational database for the report server. See Configure Report Server Manually.

As a best practice for deployments of Team Foundation Server that use reporting, configure the Windows service for Analysis Services to recover in case of failure. For more information, see Configure Analysis Services to Recover on Failure.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the server on which you are installing SQL Server.

To manually configure a report server, you must also be a member of the Administrators security group on the SQL Server that hosts the report server database, if this instance of SQL Server is not on your report server.

To install SQL Server

Tip Tip

You can watch a video of how to install SQL Server 2008 R2 for Team Foundation Server. (YouTube)

  1. Insert the installation DVD for a supported version of SQL Server and launch setup.exe. More information: SQL Server Requirements for Team Foundation Server.

  2. On the SQL Server Installation Center page, choose Installation, and then choose New installation or add features to an existing installation.

  3. On the Setup Support Rules page, choose OK.

  4. On the Product Key page, type your product key or specify a free edition and then choose Next.

  5. On the License Terms page, accept the license agreement and choose Next.

  6. On the Setup Support Files page, choose Install (SQL Server 2008 R2 only).

  7. On the Setup Support Rules page, choose Next.

    Tip Tip

    A Windows Firewall warning might appear, but you can safely ignore this warning. For more information about SQL Server ports required for Team Foundation Server, see Ports Required for Installation of Team Foundation Server.

  8. On the Setup Role page, choose SQL Server Feature Installation and then choose Next.

  9. On the Feature Selection page, select the check boxes for one or more of the following components, depending on the topology you intend to use, and then choose Next:

    • Database Engine Services (required for Team Foundation Server)

    • Full-Text Search or Full-Text and Semantic Extractions for Search ¹ (required for Team Foundation Server)

    • Analysis Services (required for reporting)

    • Reporting Services or Reporting Services - Native ¹ (required for reporting)

    • Client Tools Connectivity (required if no other SQL Server components are installed on the server that is running Team Foundation Server.)

    • Management Tools - Basic ²

  10. On the Installation Rules page, choose Next.

  11. On the Instance Configuration page, choose Default instance or Named instance. If you choose Named instance, type the name of the instance. Choose Next.

  12. On the Disk Space Requirements page, choose Next.

  13. On the Server Configuration page, do one of the following:

    • For SQL Server 2012, you can accept the defaults or enter the name of a domain account or NT AUTHORITY\NETWORK SERVICE in Account Name for every service.

    • For SQL Server 2008 R2, choose Use the same account for all SQL Server services,³ or enter the name of a domain account or NT AUTHORITY\NETWORK SERVICE in Account Name for every service.

    No matter which version of SQL Server you use, if you specify a domain account, type its password in Password. If you use NT AUTHORITY\NETWORK SERVICE, leave Password blank.

  14. In the Startup Type column, verify that Automatic appears for all services that you can edit, and then click Next.

    Note Note

    You can set collation settings on this page. For more information, see SQL Server Collation Requirements for Team Foundation Server.

  15. If you selected the Database Engine Services check box in step 9, on the Database Engine Configuration page, choose Windows authentication mode, choose Add Current User, and then choose Next. Otherwise skip to the next step.

  16. If you selected the Analysis Services check box in step 9, on the Analysis Services Configuration page, choose Add Current User, and then choose Next. Otherwise skip to the next step.

  17. If you selected the Reporting Services check box in step 9, on the Reporting Services Configuration page, choose Install the native mode default configuration (SQL Server 2008) or Install and configure (SQL Server 2012). If those options are unavailable, choose Install, but do not configure the report server (SQL Server 2008) or Install only (SQL Server 2012), and then choose Next.

    If you had to choose Install but do not configure the report server or Install only, you may be planning to have the report server and Team Foundation Server on different servers. This is a supported topology, but you will have to manually configure the report server after you finish installing SQL Server. Use these instructions: Configure Report Server Manually

    Note Note

    You should not click Install the SharePoint integrated mode default configuration. Team Foundation Server does not support this configuration mode.

  18. (Optional) On the Error and Usage Reporting page, specify whether to send information about errors and then choose Next.

  19. On the Installation Rules page, choose Next.

  20. On the Ready to Install page, review the list of components to be installed, and then choose Install.

    The Installation Progress page shows the status of each component.

  21. On the Complete page, choose Close.

¹ In SQL Server 2012, feature names are slightly different than those in SQL Server 2008 R2. This procedure lists feature names from both versions, but you only need to install the feature appropriate for the version of SQL Server you are installing.

² To install Team Foundation Server, you do not need to install Management Tools (Basic or Complete) on the same computer as SQL Server. However, you must use the SQL Server Management Studio management tool to verify your installation of SQL Server.

³ If you click Use the same account for all SQL Server services (SQL Server 2008 R2 only), you may still have to manually enter account information for some services.

Configure Report Server Manually

SQL Server 2008 R2 no automatic configuration of Reporting Services

SQL Server 2008 R2 no SSRS auto configure

If you don't install the Database Engine on the same server as Reporting Services, these are the reporting services configuration options you have in SQL Server 2008 R2. You'll see a slightly different screen in SQL Server 2012, but the end result is the same: You must manually configure your report server using the steps below after you finish SQL Server installation.

In the unlikely case that Reporting Services is on the same server as Team Foundation Server and you have not configured the report server, you are prompted during Team Foundation Server installation to complete the report server configuration, starting on step 3.

To manually configure a report server

  1. From the Start menu, launch Reporting Services Configuration Manager.

    The Reporting Services Configuration Connection dialog box appears.

  2. In Server Name, enter the name of the report server. If you are using an instance name, enter the name of the instance in Report Server Instance. Choose Connect.

  3. On the Reporting Services Configuration Manager page, choose Start if the Report Service status reads Stopped.

  4. In the navigation bar, choose Web Service URL.

  5. On the Web Service URL page, choose Apply to accept the default values in the Virtual Directory, IP Address, and TCP Port boxes.

  6. In the navigation bar, choose Database.

  7. On the Report Server Database page, choose Change Database.

    The Report Server Database Configuration Wizard appears.

  8. On the Action page of the wizard, choose Create a new report server database, and choose Next.

  9. On the Database Server page of the wizard, enter the name of a local or remote instance of SQL Server to host the database for the report server in Server Name, and choose Next.

  10. On the Database page of the wizard, choose Next to accept the default values in the Database Name, Language, and Native Mode boxes.

  11. In Credentials, choose Next to accept the default values in the Authentication Type, User name, and Password boxes.

  12. On the Summary page of the wizard, verify your information, and choose Next.

  13. On the Progress and Finish page of the wizard, choose Finish.

  14. In the navigation bar for Reporting Services Configuration Manager, choose Report Manager URL.

  15. On the Report Manager URL page, choose Apply to accept the default value in the Virtual Directory box, and then choose Exit.

Configure Analysis Services to Recover on Failure

Analysis Services properties

You should configure the Windows service for Analysis Services to restart itself if it fails.

To configure Analysis Services to recover

  1. From the Start menu, choose the Services control panel.

  2. Open the shortcut menu for the Windows service for SQL Server Analysis Services (MSSQLSERVER), and then choose Properties.

    If you are using a named instance of Analysis Services, the instance name appears in parenthesis.

  3. Choose Recovery,

  4. In the First failure list, choose Restart the Service.

  5. In the Second failure list, choose Restart the Service.

  6. In the Subsequent failures list, choose Restart the Service, and then choose OK.

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements
SQL Server Collation Requirements for Team Foundation Server


Add the Service Account for Team Foundation Server to the Report Server

[image]

Add the Service Account for Team Foundation Server to the Report Server
See Also Send Feedback

If the report server and Team Foundation Server are not on the same server, you must add the name of the service account that you will use for Team Foundation Server (TFSSERVICE) to the Content Manager group on the report server. This step is done automatically during Team Foundation Server setup if the report server is installed on Team Foundation Server.

If you are using Network Service for TFSSERVICE, you must add the machine name of the server that is running Team Foundation Server instead of Network Service. The machine name is the server name followed by the $ symbol. For example, Domain\ServerName$.

For more information about service accounts, see Accounts Required for Installation of Team Foundation Server.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the report server.

To add the service account for Team Foundation Server to the Content Manager group on the report server

  1. From the Start menu, choose Reporting Services Configuration Manager.

    Note Note

    On Windows Server 2008, open the shortcut menu for Reporting Services Configuration Manager and choose Run as administrator.

    The Reporting Services Configuration Connection dialog box appears.

  2. In the Server Name box, enter the name of the report server. If you are using an instance name, choose the name of the instance in the Report Server Instance list. Choose Connect.

  3. Choose Report Manager URL, and then choose the link to the report manager website.

    The report manager website for the report server opens in an Internet browser window.

  4. In the report manager website, choose the Properties tab, and then choose New Role Assignment.

  5. In the Group or user name box, enter the name of the service account that you will use for Team Foundation Server (TFSSERVICE), select the Content Manager check box, and then choose OK.

See Also

Concepts

TFS Upgrade Requirements


Verify SQL Server for Team Foundation Server

[image]

Verify SQL Server for Team Foundation Server
See Also Send Feedback

To ensure that your installation of SQL Server will work with Team Foundation Server, you should verify that the required SQL Server features are available, the underlying Windows services that are associated with SQL Server are running, the connection settings are configured, and the network ports are open.

If SQL Server Reporting Services is not on the server that is running Team Foundation Server and you are using reporting, you must install Client Tools Connectivity on Team Foundation Server.

If the Database Engine, Analysis Services, and Reporting Services are running on different instances of SQL Server, you must log on to each server to verify each instance.

Note Note

If you are not using Team Foundation Server reporting, you do not need to verify SQL Server Reporting Services or Analysis Services.

Required Permissions

To run SQL Server Configuration Manager, you must be a member of the Users security group on the server that hosts SQL Server. To use SQL Server Configuration Manager to modify services, you must be a member of the Administrators security group.

To run SQL Server Reporting Services Configuration Manager or SQL Server Management Studio, you must be a member of the Administrators security group on the operating system of the server that is running the instance of SQL Server that you want to verify. For SQL Server Management Studio, you must also be a member of the Public server role on the instance of SQL Server that you want to verify.

Verify Reporting Services

To verify that the Windows service is running using SQL Server Configuration Manager

  1. On the server that is running SQL Server Reporting Services, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and then click SQL Server Configuration Manager.

  2. Click SQL Server Services, and verify that Running appears in the State column for SQL Server Reporting Services.

To verify the report server URLs are running using SQL Server Reporting Services Configuration Manger

  1. On the server that is running SQL Server Reporting Services, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and click Reporting Services Configuration Manager.

    Note Note

    On Windows Server 2008, you must right-click Reporting Services Configuration Manager and click Run as administrator.

    The Reporting Services Configuration Connection dialog box appears.

  2. In Server Name, type the name of the report server. If you are using an instance name, type the name of the instance in Report Server Instance. Click Connect.

  3. Click Report Manager URL, and click the link to the report manager website.

    The report manager website for the report server opens in an Internet browser window.

  4. Click Web Service URL, and click the link to the report server website.

    The report server website opens in an Internet browser window.

Note Note

If SQL Server Reporting Services and Team Foundation Server are not on the same server, you must add the name of the service account that you will use for Team Foundation Server (TFSSERVICE) to the Content Manager group on the report server. This step is completed automatically during Team Foundation Server setup, if the report server is installed on Team Foundation Server. For more information, see Add the Service Account for Team Foundation Server to the Report Server

Verify the Database Engine and Analysis Services

On the instance of SQL Server that is running the Database Engine, you must ensure that you have the Full-Text Search feature installed. To verify this functionality, you open the SQL Server Installation Center, and then click the New SQL Server stand-alone installation or add features to an existing installation. If Full-Text Search is not available on the instance of SQL Server that is running the Database Engine, you must install Full-Text Search. For more information about how to work with SQL Server Installation Center, see Manually Install SQL Server for Team Foundation Server.

To verify that Windows services are running by using SQL Server Configuration Manager

  1. On the instance of SQL Server on which the Database Engine, SQL Server Analysis Services, or both are running, click Start, point to All Programs, point to Microsoft SQL Server 2008, point to Configuration Tools, and then click SQL Server Configuration Manager.

  2. Click SQL Server Services, and verify that Running appears in the State column and the Start Mode is set to automatic for all services.

    • To change the start mode of a service to start automatically, right-click the service, click Properties, click the Service tab, click the drop-down list to the right of Start Mode, and then click Automatic.

    • To change a stopped service state to running, right-click the stopped service and click Start.

  3. Click SQL Server Network Configuration, double-click Protocols for MyInstanceName, and verify that Enabled appears in the Status column for TCP/IP.

    If you specified the default instance during installation, MyInstanceName will be MSSQLSERVER.

Note Note

As a best practice, you should configure the Windows service for Analysis Services to recover in case of failure. For more information, see "Configure Analysis Services to Recover on Failure" in Manually Install SQL Server for Team Foundation Server.

To perform the following procedure, you must have SQL Server Management Studio installed. However, it does not have to be installed on the server that is running the instance of SQL Server that you are verifying. If you must install SQL Server Management Studio, see Manually Install SQL Server for Team Foundation Server.

To verify a connection to an instance of SQL Server by using SQL Server Management Studio

  1. Click Start, point to All Programs, point to Microsoft SQL Server 2008, and then click SQL Server Management Studio.

    The Connect to Server dialog box opens.

  2. In the Server type list, click Database Engine or Analysis Services, depending on the type of installation that you are verifying.

  3. Type the name of the server to which you want to connect, and then click Connect.

    If SQL Server is installed on a cluster, you must specify the server name, not the computer name. If you are using a named instance of SQL Server, you must specify the name of the server and the name of the instance. If you cannot connect to the server, verify the firewall settings, and then try to connect again.

  4. In Object Explorer, verify that a green arrow appears next to the server name.

See Also

Concepts

Manually Install SQL Server for Team Foundation Server
Install Team Foundation Server


Provisioning SQL Server Databases for Team Foundation Server

[image]

Provisioning SQL Server Databases for Team Foundation Server
See Also Send Feedback

You might want to create empty databases for Team Foundation Server, because doing so can be useful for managing the databases of multiple instances of Team Foundation Server on a single instance of SQL Server or hosting Team Foundation Server databases on a managed instance of SQL Server. Whatever the reason, this topic provides guidance for how to provision empty SQL Server databases for use with Team Foundation Server.

Conceptually, this procedure contains two steps:

  1. You create the databases and name them based on established guidelines.

  2. You identify these databases when you install Team Foundation Server.

Configuration Database

Team Foundation Server has two databases that you can configure to use empty databases during installation.

  • Tfs_DatabaseLabelWarehouse

  • Tfs_DatabaseLabelApplication

These databases must use the naming structure as shown, but you can either omit the string DatabaseLabel or use any custom string that uniquely describes both databases.

When you install Team Foundation Server, you must select the Use pre-existing empty database(s) check box. If you added a label, you must also type it in Server Databases Label. The installation wizard will then use the empty databases that you created to set up the configuration database.

Note Note

Each project collection requires its own database, but you cannot configure Team Foundation Server to use an empty project collection database during installation. You must add an empty project collection database after installation, using Team Foundation Server Administration Console.

See Also

Concepts

Install Team Foundation Server
TFS Upgrade Requirements


Work with SQL Server Named Instances

[image]

Visual Studio Application Lifecycle Management
Work with SQL Server Named Instances
See Also Send Feedback

You can choose to install Team Foundation Server using the default instance of SQL Server or a named instance of SQL Server. Depending on your business infrastructure and deployment needs, you might prefer to use a named instance. If you want to use a named instance in your deployment of Team Foundation Server, you must create that named instance in SQL Server before you install Team Foundation Server or create a team project collection that uses that instance. You cannot create a named instance during installation of Team Foundation Server.

To use a named instance of SQL Server in a deployment of Team Foundation Server

  • To use a named instance with Team Foundation Server, you must install SQL Server by using a named instance, or move or restore Team Foundation Server data to a named instance, or create a team project collection on a named instance. For information about how to install SQL Server as a named instance, see Manually Install SQL Server for Team Foundation Server.

See Also

Concepts

Understanding SQL Server and SQL Server Reporting Services


Use SQL Server 2012 Always On Availability Groups with Team Foundation Server

[image]

Use SQL Server 2012 Always On Availability Groups with Team Foundation Server
Send Feedback

This topic provides general guidelines for enabling AlwaysOn Availability Groups with Team Foundation Server 2012. AlwaysOn Availability Groups requires a small amount of TFS-specific configuration, which can help you provide high availability (HA) to TFS relational databases like TFS_Configuration and TFS_Collection database. The TFS-specific configuration sets the MultisubnetFailover option to true in the connection string that TFS uses for the data tier and is not necessary for providing HA support for reporting or SharePoint. To provide high availability to the TFS report server or SharePoint deployment, use the documentation for those products.

TFS support for AlwaysOn Availability Groups is an on or off proposition: if you use it, you must include your TFS_Configuration database as well as all of your TFS_Collection databases in the availability group. If you add a team project collection in the future, the database for that collection must be added to the availability group in SQL Server.

Use SQL Server documentation for guidance about configuring AlwaysOn Availability Groups. TFS does not require any specific AlwaysOn Availability Group configuration. Use the configuration that best meets your team's needs and the recommendations found in SQL Server guidance. See Getting Started with AlwaysOn Availability Groups (SQL Server).

Setting up a new TFS installation with AlwaysOn Availability Groups

This a high level walkthrough of the steps required to implement AlwaysOn Availability Groups during TFS installation.

Tip Tip

To set the MultisubnetFailover option to true in the connection string for an already running deployment of TFS, use the RegisterDB command of TFSConfig with the /usesqlalwayson argument. You will need to use the TFSService Control Command to stop and start TFS before you can set the MultisubnetFailover option. See RegisterDB Command and TFSServiceControl Command.

One: set up AlwaysOn Availability Groups

The SQL Server AlwaysOn Availability Group must be ready before you install TFS. See Getting Started with AlwaysOn Availability Groups (SQL Server)

Two: install TFS using the advanced wizard

Select AlwaysOn checkbox

You must install TFS using the Advanced configuration, which gives you access to the SQL AlwaysOn Availability Group check box during a typical install (pictured above). On this screen, enter the Availability Group Listener in the SQL Server Instance text box. TFS will create TFS_Configuration and the DefaultCollection databases on the Primary replica of your AlwaysOn Availability Group. The databases for SharePoint will also be created, if you allow TFS to install SharePoint Foundation.

Tip Tip

You can also access the SQL AlwaysOn Availability Group check box by using the Application-Tier Only or Upgrade wizards. See How to: Create a Team Foundation Server Farm (High Availability) or TFS Upgrade Requirements.

Three: add the new TFS databases to the AlwaysOn Availability Group

Add TFS databases to AlwaysOn Availibility Group

You'll need to back up any databases that you want to add to the AlwaysOn Availability Group to bring them into compliance for data stored in an AlwaysOn Availability Group. Next, use the Availability Group Wizard to add the databases to the group. See Creation and Configuration of Availability Groups (SQL Server), and Use the New Availability Group Wizard (SQL Server Management Studio).

Tip Tip

If you add a new team project collection to TFS, remember to add the database for the collection to your availability group in SQL Server. You cannot have some databases for team project collections in and some outside the availability group.

AlwaysOn Availability Groups Support for Reporting and SharePoint

The TFS-specific configurations described in this topic are not necessary to provide HA support for reporting or SharePoint. To provide AlwaysOn support for those features, use the guidance available for those products, or implement some other TFS-supported HA feature.

Reporting and AlwaysOn Availability Groups

  • Reporting Services with AlwaysOn Availability Groups (SQL Server)

  • Analysis Services with AlwaysOn Availability Groups

SharePoint and HA

  • Configure and manage SQL Server availability groups for SharePoint Server

  • Plan for availability (SharePoint Server 2010)

  • SQL Server 2008 R2 and SharePoint 2010 Products: Better Together (white paper) (SharePoint Server 2010)


Understanding SQL Server and SQL Server Reporting Services

[image]

Visual Studio Application Lifecycle Management
Understanding SQL Server and SQL Server Reporting Services
See Also Send Feedback

You can manage Visual Studio Team Foundation Server more easily if you understand SQL Server, SQL Server Reporting Services, and how they both interact with Team Foundation Server. This topic focuses specifically on the interactions between SQL Server, SQL Server Reporting Services, and Team Foundation Server.

Interactions between Team Foundation Server and SQL Server

The logical data tier for Team Foundation depends on SQL Server and consists of several SQL Server databases. By default, these databases have the following names:

  • TFS_Configuration, which contains all the configuration information for the resources for Team Foundation Server

  • TFS_Warehouse, which is the database for all reports in Team Foundation Server

  • TFS_Analysis, which is a multi-dimensional database that stores the aggregated data from team project collections

  • TFS_CollectionName, the individual databases for team project collections (each collection has its own database).

This logical tier can be located on one or more physical servers, and it can be distributed across a SQL Server cluster of servers.

The following diagram illustrates the logical architecture of a deployment of Team Foundation Server that is integrated with both SQL Server Reporting Services and SharePoint Products:

Database relationships with SharePoint Products

One advantage of storing all your data in a database is that it simplifies data management because you don't have to back up individual client computers. If you are familiar with backing up SQL Server databases, you will find backing up and restoring Team Foundation Server databases equally familiar.

Tip Tip

Team Foundation Server requires that collation settings are case insensitive, are accent sensitive, and are not binary. If you want to use an existing installation of SQL Server with Team Foundation Server, you must verify that the collation settings meet these requirements. If they do not, installation of Team Foundation Server will fail. For more information, see SQL Server Collation Requirements for Team Foundation Server

SQL Server must be installed on a server (or servers) that has the appropriate trust levels configured between it and the server (or servers) that hosts the logical Team Foundation application-tier.

Interactions between Team Foundation Server and SQL Server Reporting Services

SQL Server Reporting Services is considered part of the logical application tier for Team Foundation Server. However, Reporting Services does not have to be installed on the same physical server as other logical aspects of that application tier, such as SharePoint Products. For more information, see How to: Install Team Foundation Server Using the Advanced Configuration.

When you configure user and group permissions and group membership in Team Foundation Server, you must also manually configure role membership and permissions appropriately for those users and groups in Reporting Services. For more information, see SQL Server Reporting Services Roles.

In addition to configuring role membership and permissions in Reporting Services, you must also manage the report reader account that Team Foundation Server uses to communicate with the report server. This account is frequently referred to as the data sources account for Reporting Services, or TFSREPORTS. Like the service account for Team Foundation Server, the report reader account must be a member of a workgroup or domain that is trusted by every computer that will connect to Team Foundation Server. For more information, see Accounts Required for Installation of Team Foundation Server.

Tip Tip

Even if you are logged on with administrative credentials, you might have trouble accessing Report Manager or the http://localhost/Reports sites unless you add these sites as Trusted Sites in Internet Explorer or start Internet Explorer as an administrator. To start Internet Explorer as an administrator, choose Start, All Programs, open the shortcut menu Internet Explorer, and then choose Run as administrator. For more information, see the Microsoft Web site.

See Also

Concepts

SQL Server Reporting Services Roles


Team Foundation Server Databases

[image]

Visual Studio Application Lifecycle Management
Team Foundation Server Databases
Send Feedback

Team Foundation Server stores data in SQL Server and, if you have reporting configured, SQL Server Analysis Services and Reporting Services. You can better manage and administer your deployment if you understand what databases Team Foundation Server uses.

The following table describes the databases that might be present in your deployment of Team Foundation Server:

Database | Used If | Description
Tfs_Configuration | Always | Stores data that describes your deployment of Team Foundation Server, including the name and location of the other databases.
Tfs_Collection | Always | One database for each team project collection. Each database stores the data for the team projects (version control, builds, and work items) in that collection.
Tfs_Warehouse | Reporting is configured | Data from all project collections is collected and stored in tables that are optimized for reporting.
Tfs_Analysis | Reporting is configured | Analysis Services database that organizes the data from the warehouse database into a cube structure..
ReportServer | Reporting is configured | Stores reports and report configuration data for Reporting Services.
ReportServer_TempDB | Reporting is configured | Stores temporary reporting data for Reporting Services.
WSS_Config | Integration with SharePoint Products is configured | Stores configuration data about SharePoint Products.
WSS_Content | Integration with SharePoint Products is configured | Stores the content for the SharePoint Products sites.
WSS_AdminContent | Integration with SharePoint Products is configured | Stores the administration information for SharePoint Products.


SQL Server Reporting Services Roles

[image]

Visual Studio Application Lifecycle Management
SQL Server Reporting Services Roles
See Also Send Feedback

You can use the roles in SQL Server Reporting Services to assign particular permissions to users in Visual Studio Team Foundation Server. Every user and group in Team Foundation Server must be assigned appropriate permissions in Reporting Services. Reporting Services provides default security through role assignments. You can use management tools for SQL Server, such as Management Studio and Report Manager, to assign users and groups to predefined roles.

You can use group membership in Team Foundation Server to determine the appropriate membership in one of the predefined roles in Reporting Services. No additional configuration of the role will be required. However, you can modify predefined roles and add custom roles to better meet your business needs. If you add custom roles or modify predefined roles, you must be sure that the roles have the permissions required for the appropriate level of access to reports and reporting features. For more information, see the following topic on the Microsoft Web site: Granting Permissions on a Native Mode Report Server.

The following predefined roles are suggested for use with Team Foundation Server:

  • System Administrator

  • Team Foundation Content Manager

  • Browser

For detailed information about pre-defined roles in Reporting Services, see the following topic on the Microsoft Web site: Using Predefined Roles.

Important note Important

You should restrict membership in Reporting Services to only those users who need the specific level of access and permissions granted by membership in that predefined role. Add a user or group to the predefined role that has the minimum permissions required to complete the user's or group's role within a team project. For example, if a user only needs to view the project schedule, you should add the user to the Browser role but not to the Content Manager role.

System Administrator

The System Administrator role includes permissions that are useful for a report server administrator who has overall responsibility for a report server, but not necessarily for the content within it. The System Administrator role does not convey the full range of permissions that a local administrator might have on a computer. You must add Team Foundation Administrators to both the System Administrator role and the Content Manager role. Together, the two role definitions provide a complete set of permissions required by members of the Team Foundation Administrators group.

Team Foundation Content Manager

Unlike the other roles described in this topic, the Team Foundation Content Manager role is not a default role in SQL Server. The role is created specifically for integration between Team Foundation Server and SQL Server Reporting Services when Team Foundation Server is installed. Its structure and permissions are similar to the Content Manager role that is native to SQL Server. The Team Foundation Content Manager role includes permissions that are useful for users who manage reports and Web content but that do not necessarily write reports or manage a Web server or instance of SQL Server. A content manager deploys reports, manages report models and data source connections, and decides how to use reports. The Team Foundation Content Manager role provides the typical range of permissions required by users who belong to the Project Administrators group in a team project, in addition to users who belong to the Project Collection Administrators group. You should also add members of the Team Foundation Administrators group to this role.

Browser

The Browser role includes permissions that are useful for users who view reports, but do not necessarily write or manage them. This role provides basic capabilities for users who belong to either the Contributor or Reader group in a team project.

See Also

Concepts

Understanding SQL Server and SQL Server Reporting Services


SQL Server Collation Requirements for Team Foundation Server

[image]

SQL Server Collation Requirements for Team Foundation Server
See Also Send Feedback

When you install SQL Server, you must consider two factors regarding collation settings that could affect your Team Foundation Server deployment:

  • Requirements for Team Foundation Server

  • All instances of SQL Server in your Team Foundation Server deployment must use the same settings

You can set collation settings for the Database Engine and SQL Server Analysis Services. Collation settings include character set, sort order, and other locale-specific settings, that are fundamental to the structure and function of SQL Server databases. You cannot change these settings after installation.

Requirements for Team Foundation Server

To work with Team Foundation Server, the collation settings for SQL Server must be case insensitive, accent sensitive, and not binary. If multiple SQL Server are running an instance of Database Engine or SQL Server Analysis Services for Team Foundation Server, the collation settings that you use must be the same across all these servers.

SQL Server bases your default collation settings on the locale of your operating system. The default setting for U.S. English and most other locales often meets the requirements for Team Foundation Server. However, those settings might not support all of the data that your organization must store in Team Foundation Server. In that case, you must find a setting that supports your data and is accent sensitive, not case sensitive, and not binary.

If you install Database Engine Services or Analysis Services, you can change collation settings on the Server Configuration page, by clicking the Collation tab and then clicking Customize. You may want to specify an option under Windows collation designator and sort order. For example, you can specify Latin1_General, and select the AS checkbox, if you require support for additional characters.

For most other locales, the default setting is an option under Windows collation designator and sort order. Make sure that the settings match the requirements for Team Foundation Server. If you must change this setting, you should specify the option that is named for your locale with "_100" after it, where possible. For example, you can use Japanese_100 collation if you use Unicode CJK Extension A characters or Unicode surrogates in the following ways:

  • Names of objects, such as queries or projects, in Team Foundation Server.

  • Files or paths that are checked into the version control system.

  • Any work item field that is used for searches.

To avoid problems with double-width or hiragana/katakana-equivalent characters, you should select the check boxes to enable Kana and width sensitivity when you install SQL Server.

For more information, see the Microsoft website: Collation Settings in Setup.

Full-Text search queries and collation settings

To support full-text search queries, the collation settings of the SQL Server database should correspond to a language that has a word breaker registered with SQL Server. If you use an unsupported language, you could receive unexpected results when you run a work item query that specifies the Contains or Contains Words operators with text strings.

To learn more, see one of the following topics:

  • Full-Text Search (SQL Server)

  • sys.fulltext_languages (Transact-SQL)

  • ALTER FULLTEXT INDEX (Transact-SQL)

  • SQL Server 2008 Full-Text Search: Internals and Enhancements

  • Query Fields, Operators, Values, and Variables

See Also

Concepts

Manually Install SQL Server for Team Foundation Server
Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements


Upgrade Team Foundation Server

[image]

Upgrade Team Foundation Server
Send Feedback

Use this guide to upgrade to Team Foundation Server 2012 or one of its updates.

Tip Tip

You use the same guidance to upgrade to one of the TFS 2012 updates as you would to upgrade from a previous version of the product.

You'll find step-by-step guidance here that covers the most popular upgrade tasks, including in-place upgrades and upgrades that involve moving to new hardware and direction on what to do with SharePoint, whether it's running on the same server as TFS or somewhere else. We'll also walk through upgrade of a build machine, as well as adding new features to your upgraded team projects.

1.) Review upgrade requirements

First, read the TFS Upgrade Requirements. Team Foundation Server has new 64-bit server OS requirements. Upgrade no longer supports all previous versions of the product.

2.) Upgrade TFS application-tier server

Next, choose a server upgrade path.

The steps are different based on whether you're using TFS 2010 basic, or if you're planning to use the same hardware (standard upgrade) or moving to a new machine (advanced upgrade). Select from one of the paths below:

  • Upgrade TFS Basic or Express (basic upgrade)

  • TFS Application Tier Will Use the Same Hardware It's Using Right Now (standard upgrade)

  • TFS Application Tier Will Use Different Hardware Than It's Using Right Now (advanced upgrade)

TFS server upgrade choices

3.) Setup a new build machine

After you upgrade the application tier, you might want to install the new build service.

With update 2 of TFS 2012, you can use the TFS 2010 build service with Team Foundation Server 2012, but you can no longer install the new build service side-by-side on the same server as the TFS 2010 build service. For more information, see: Install Team Foundation Build Service

install build machine for upgrade

4.) Add new features to your team projects

You can also use a wizard to add new features to your TFS 2010 team projects.

Add new features to your team projects


TFS Upgrade Requirements

[image]

TFS Upgrade Requirements
Send Feedback

Review the requirements listed here and then choose a server upgrade path. You can upgrade from any of the following earlier releases:

  • Team Foundation Server 2012 with Update 3 (TFS2012.3), TFS 2012.2, TFS 2012.1, TFS 2012 RTM

  • Team Foundation Server 2010 with or without Service Pack 1

  • Team Foundation Server 2008 with Service Pack 1

Tip Tip

You use the same guidance to upgrade to one of the TFS 2012 updates as you would to upgrade from a previous version of the product. You can upgrade from TFS 2012 RTM to an update, or you can upgrade from a previous version of TFS to one of the updates.

New prerequisite requirements

SQL Server: Before you start your upgrade, you might have to upgrade SQL Server to meet new Team Foundation Server requirements. SQL Server 2008 is no longer supported. SQL Server 2008 R2 SP1 and SQL Server 2012 are supported. For more information, see SQL Server Requirements for Team Foundation Server.

Tip Tip

TFS 2012.4 introduces a new SQL Server requirement for TFS 2012: SQL Server 2008 R2 now requires service pack 1 (SP1). Previously, SP1 was only strongly recommended for some SQL Server editions, but now all SQL Server 2008 R2 editions require SP 1.

SharePoint Products: If you have a portal server, you can continue to use the same one without upgrading it. We support all of the previously supported versions of SharePoint Products, including Windows SharePoint Services 3.0, Microsoft Office SharePoint Server 2007, Microsoft SharePoint Foundation, or Microsoft SharePoint Server 2010. For more information, see SharePoint Products Requirements for Team Foundation Server.

What about skipping reporting or SharePoint during upgrade?

Only if you no longer plan to use reporting or SharePoint should you simplify your deployment by not adding these features. Otherwise, keep these two features during upgrade. The upgrade configuration automatically links upgraded projects to the portal and reporting features. If you add a portal or reporting after you upgrade, you cannot easily create these links between all your upgraded projects and the portal.

Tip Tip

Team Foundation Server doesn't support changing languages during an upgrade. You should maintain the locale of your operating system and Team Foundation Server during the upgrade. For more information, see: Language Requirements for Team Foundation Server

Next step: choose a server upgrade path

The steps are different based on whether you're using TFS 2010 basic, or if you're planning to use the same hardware (standard upgrade) or moving to a new machine (advanced upgrade). Select from one of the paths below:

  • Upgrade TFS Basic or Express (basic upgrade)

  • TFS Application Tier Will Use the Same Hardware It's Using Right Now (standard upgrade)

  • TFS Application Tier Will Use Different Hardware Than It's Using Right Now (advanced upgrade)

TFS server upgrade choices
Tip Tip

You can get a copy of this material for your Kindle, iPad, Nook or some other e-reader by downloading, "Upgrade Team Foundation Server 2012: the ultimate upgrade guide," which is based on the material from this guide and comes in many popular file formats, including PDF, RTF, and TXT (Smashwords).

Less-common upgrade tasks

You can probably skip this section, if you are not using the trial edition of Team Foundation Server, a Team Foundation Server farm, or no one on your team uses Project Server.

Upgrade from the trial edition of Team Foundation Server

If you are using the trial edition of Team Foundation Server and your evaluation period expires or you are ready to upgrade to the full edition, you need to change the product key information to upgrade from the trial to the full edition. For more information, see this topic: Locate or Change the Product Key for Team Foundation Server.

Upgrading a Team Foundation Server farm

The process for upgrading a TFS farm changes with update 2 of TFS 2012. If you have a scaled-out deployment of TFS you want to upgrade, you should do one of the following processes, based on the version of the product you're upgrading from.

  • Your TFS farm is TFS 2010: Uninstall Team Foundation Server 2010 from each application tier. After all previous versions have been uninstalled, install TFS 2012 on one of the application tiers and run the upgrade as you would for a standalone deployment. Select any application tier in the farm that you like; it doesn't matter. After the upgrade completes, use the Add an Application Tier wizard to install Team Foundation Server 2012 on the remaining application tiers. This reassembles the farm and completes the farm upgrade.

  • Your TFS farm is TFS 2012: Quiesce every application tier in the farm. After all previous versions have been quiesced, install TFS 2012 on one of the application tiers (without uninstalling the previous version of TFS 2012) and run the upgrade as you would for a standalone deployment. Select any application tier in the farm that you like; it doesn't matter. After the upgrade completes, use the Add an Application Tier wizard to install Team Foundation Server 2012 (without uninstalling the previous version of TFS 2012) on the remaining application tiers. This reassembles the farm and completes the farm upgrade.

For more information, see this topic: How to: Create a Team Foundation Server Farm (High Availability)

Upgrading the TFS Extensions for Project Server

If you have integrated Project Server with your TFS deployment and you upgrade TFS, your team projects should continue to work as before, but you won't have access to any new features until you install the new TFS Extensions for Project Server. You should uninstall the old extensions from Project Server and then install the latest version of the extensions on all the servers where it was previously installed. The version of the extensions you use for Project Server should always match the version of Team Foundation Server you're running. For more information, see this topic: How to: Add Project Server to Team Foundation Server


Locate or Change the Product Key for Team Foundation Server

[image]

Locate or Change the Product Key for Team Foundation Server
See Also Send Feedback

To move from the trial edition to the full edition of Team Foundation Server, you must have a valid product key for Team Foundation Server.

You can review the license type, license expiration date, and product key number of your deployment of Team Foundation Server. Problems with an expired or non-valid product key can disrupt your deployment. If you installed a trial edition of Team Foundation Server, you should be careful not to let the license expire. After the license expires, your users will be unable to use Team Foundation Server until you take steps to correct the situation. You might also need to locate the product key of Team Foundation Server for support or record-keeping purposes.

Note Note

If you have any issues during the licensing upgrade process, you can contact support for Visual Studio. For more information, see the following page on the Microsoft Web site: Help and Support and the Team Foundation Server Licensing Whitepaper.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the application-tier server for Team Foundation Server and a member of the Team Foundation Administrators group.

To locate or change your product key

  1. Open the administration console of Team Foundation Server.

  2. Expand the name of the server, and review the information in Product ID, License Type, and License Expires.

    The number that appears in Product ID is your product key.

  3. (Optional) If you must change or update your product key, choose Update License.

    The Team Foundation Server License window opens.

  4. Type the product key, and then choose Activate.

Where to find your product key if it does not appear in the administration console

  • On the sleeve of the setup DVD.

  • On the Microsoft Subscriber Downloads web site.

See Also

Other Resources

How to: Locate the Visual Studio Product Key


Upgrade TFS Basic or Express

[image]

Upgrade TFS Basic or Express
Send Feedback

Basic TFS upgrade

To upgrade Team Foundation Server Basic or Express

Tip Tip

This topic is for upgrading a basic installation of TFS (no SharePoint, no reporting). If you have an installation with SharePoint or reporting, consider using the standard TFS upgrade (an in-place upgrade) or the advanced TFS upgrade (move TFS to a new machine) instead.

For more information, see: TFS Application Tier Will Use the Same Hardware It's Using Right Now or TFS Application Tier Will Use Different Hardware Than It's Using Right Now

Step 1 Double Check. Verify that the operating system and hardware meet the requirements for the new version of Team Foundation Server. New for this version of TFS, you must use a 64-bit server if you use a server operating system.

Determine the service account you will use for Team Foundation Server. By default, TFS uses Network Service. In most cases, you should use the same account you used for the previous installation or consider using Network Service.

For more information, see: System Requirements for Team Foundation Server, or Accounts Required for Installation of Team Foundation Server.

Step 2 Visit Microsoft Update. If you're using SQL Server Express for TFS, use Microsoft Update to make sure that SQL Server Express has the latest service pack (SP). Similar to Windows Update, Microsoft Update is for Microsoft software other than operating systems. Use the Windows Update Control Panel to opt into Microsoft Update and check for updates.

If you're running SQL Server Express 2008 with either SP2 or SP3, the TFS upgrade wizard will be able to automatically upgrade your installation of SQL Server Express during TFS upgrade.

Tip Tip

If you don't know if you're using SQL Express, look at the Application Tier node in the TFS administration console. Scroll down to Data Tier Summary and look for SQLServerExpress to confirm.

Step 3 Uninstall TFS. Use Control Panel to completely uninstall Team Foundation Server 2010.

Tip Tip

If you're upgrading TFS 2012, you don't have to uninstall the old version of TFS. You can skip this step and we'll even preserve some of your settings.

Uninstall previous version

Step 4 Upgrade TFS. Run the Team Foundation Server install from the product DVD and then use the Upgrade Configuration wizard to upgrade your installation.

For more information, see: Run the TFS Upgrade Wizard

Next Step: Set up a new build machine

After you upgrade the application tier, you might want to install the new build service. You can't use TFS 2010 build service with Team Foundation Server 2012, but you can install the new build service side-by-side on the same server as the TFS 2010 build service. For more information, see: Install Team Foundation Build Service

install build machine for upgrade


TFS Application Tier Will Use the Same Hardware It's Using Right Now

[image]

TFS Application Tier Will Use the Same Hardware It's Using Right Now
Send Feedback

Illustration of an In-place Upgrade

In place upgrade

To do an in-place upgrade of Team Foundation Server

Step 1 Double check. Verify that the operating system and hardware meet the requirements for the new version of Team Foundation Server. New for this version of TFS, you must use a 64-bit server if you use a server operating system.

Determine the service account you will use for Team Foundation Server. By default, TFS uses Network Service, but you can also use a domain account. In most cases, you should use the same account you used for the previous installation or consider using Network Service.

Tip Tip

TFS 2012.4 introduces a new SQL Server requirement for TFS 2012: SQL Server 2008 R2 now requires service pack 1 (SP1). Previously, SP1 was only strongly recommended for some SQL Server editions, but now all SQL Server 2008 R2 editions require SP 1.

For more information, see: System Requirements for Team Foundation Server, or Accounts Required for Installation of Team Foundation Server.

Step 2 Uninstall TFS. Use Control Panel to completely uninstall Team Foundation Server 2010. If SharePoint Products is running on a computer other than Team Foundation Server, you have to uninstall the TFS extensions for SharePoint from the SharePoint server, too. If SharePoint Products is on the TFS application-tier, don't worry. We uninstall the TFS extensions for SharePoint at the same time as we remove the old version of TFS.

Tip Tip

If you're upgrading TFS 2012, you don't have to uninstall the old version of TFS. You can skip this step and we'll preserve some of your settings.

Uninstall previous version

Step 3 Upgrade TFS. Run the Team Foundation Server install from the product DVD and then use the Upgrade Configuration wizard to upgrade your installation. But wait-if SharePoint Products is running on a computer other than Team Foundation Server, you'll first want to install the new TFS Extensions for SharePoint on the SharePoint server. Similar to the previous step, if SharePoint Products is on the TFS application-tier, we'll install the Extensions for SharePoint at the same time that we set up the new version of TFS.

For more information, see: Run the TFS Upgrade Wizard.

Next Step: Set up a new build machine

After you upgrade the application tier, you might want to install the new build service. You can't use TFS 2010 build service with Team Foundation Server 2012, but you can install the new build service side-by-side on the same server as the TFS 2010 build service. For more information, see: Install Team Foundation Build Service.

install build machine for upgrade


TFS Application Tier Will Use Different Hardware Than It's Using Right Now

[image]

TFS Application Tier Will Use Different Hardware Than It's Using Right Now
Send Feedback

Illustration of migration upgrade

To do a hardware swap (migration) upgrade of Team Foundation Server

Step 1 Double Check. Verify that the operating system and hardware meet the requirements for Team Foundation Server. New for this version of Team Foundation Server, you must use a 64-bit server if you use a server operating system.

Determine the service account you will use for Team Foundation Server. By default, TFS uses Network Service, but you can also use a domain account. In most cases, you should use the same account you used for the previous installation or consider using Network Service.

For more information, see: System Requirements for Team Foundation Server, or Accounts Required for Installation of Team Foundation Server.

Step 2 Set up SQL Server. You're going to install all the SQL Server features that TFS requires on the same server where you'll eventually run TFS.

For more information, see: Setup SQL Server for TFS

SQL R2 installation

Step 3 Set up SharePoint Products. If you don't skip the portal setup, you have two options for how to deal with SharePoint:

Use the same SharePoint site for TFS that you have right now:

If your old SharePoint server is still up and running, you can continue to use it. Go to the SharePoint server and uninstall the old extensions, and then install the new extensions before you upgrade TFS. If SharePoint and the previous version of TFS were on the same computer, you have to uninstall the entire TFS 2010 application tier. In the new upgraded configuration, the only TFS component on the SharePoint server will be the TFS extensions for SharePoint.

For more information, see Use the same SharePoint site for TFS that you have right now

Use the same SharePoint site for TFS that you have

Move SharePoint to New Hardware for TFS:

New for this version of TFS, you can install SharePoint Foundation using the TFS extensions for SharePoint wizard. The TFS wizard will install a fresh copy of SharePoint using the installation of SQL Server you just set up, and then configure the TFS extensions for the new installation of TFS. After you install SharePoint, you'll detach its content database to prepare for the migration of the data from your previous SharePoint installation in step 4, Restore Data.

For more information, see Move SharePoint to New Hardware for TFS

Move SharePoint to New Hardware for TFS

Step 4 Restore data. New for this version of TFS, you can use custom backup and restore tools to manage your data. First you're going to back up your data, including the encryption key on the report server. Next, you're going to restore your data to the SQL Server instance you set up in step 2. With the restore complete, you'll use the SQL Server Reporting tool to restart the report server database, restore its encryption key, and then verify access. If you installed SharePoint, you'll use a SharePoint command line tool to attach and upgrade your content database.

For more information, see Back up and Restore Data for TFS

back up and restore data

Step 5 Upgrade TFS. Run the Team Foundation Server install from the product DVD and then use the Upgrade Configuration wizard to upgrade your installation.

For more information, see: Run the TFS Upgrade Wizard

Next Step: Set up a new build machine

After you upgrade the application tier, you might want to install the new build service. You can't use TFS 2010 build service with Team Foundation Server 2012, but you can install the new build service side-by-side on the same server as the TFS 2010 build service. For more information, see: Install Team Foundation Build Service.

install build machine for upgrade


Setup SQL Server for TFS

[image]

Setup SQL Server for TFS
Send Feedback

SQL R2 installation

How to set up SQL Server

First you install and configure SQL Server 2008 R2 for Team Foundation Server with reporting. Then you apply service pack 1 for SQL Server 2008 R2 and configure Windows Server to recover analysis services on failure.

Tip Tip

Make sure the default collation settings in SQL Server match the existing settings from the SQL Server instance that you're migrating from. For more information, see: SQL Server Collation Requirements for Team Foundation Server

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on Windows Server.

Install SQL Server

  1. Launch setup.exe on the SQL Server DVD.

  2. On the SQL Server Installation Center page, choose Installation, and then choose New installation or add features to an existing installation.

    SQL Server New installation

  3. On the Setup Support Rules page, choose OK.

  4. On the Product Key page, type your product key or specify a free edition and then choose Next.

  5. On the License Terms page, accept the license agreement and choose Next.

  6. On the Setup Support Files page, choose Install.

  7. On the Setup Support Rules page, choose Next.

    Safely ignore the firewall warning
    Tip Tip

    A Windows Firewall warning might appear here, but you can safely ignore this warning. TFS automatically adds an exception for Windows Firewall during upgrade.

  8. On the Setup Role page, choose SQL Server Feature Installation and then choose Next.

  9. On the Feature Selection page, select the check boxes for the following components and then choose Next:

    SQL Server feature selection for TFS

    • Database Engine Services (required for Team Foundation Server)

    • Full-Text Search (required for Team Foundation Server)

    • Analysis Services (required for reporting)

    • Reporting Services (required for reporting)

    • Management Tools - Basic (Management Tools -Complete automatically selects itself when you click Basic and this is fine)

  10. On the Installation Rules page, choose Next.

  11. On the Instance Configuration page, choose Default instance. If you choose Named instance, type the name of the instance. Choose Next.

    Choose the default instance

  12. On the Disk Space Requirements page, choose Next.

  13. On the Server Configuration page, choose Use the same account for all SQL Server services, and enter NT AUTHORITY\NETWORK SERVICE in Account Name for every service.

    Use Network Service for all SQL Server services

  14. In the Startup Type column, verify that Automatic appears for all services that you can edit, and then choose Next.

  15. On the Database Engine Configuration page, choose Windows authentication mode, choose Add Current User, and then choose Next.

    Choose Windows authentication mode

  16. On the Analysis Services Configuration page, choose Add Current User, and then choose Next.

  17. On the Reporting Services Configuration page, choose Install the native mode default configuration, and then choose Next.

    Configure Reporting Services

  18. Optional) On the Error and Usage Reporting page, specify whether to send information about errors and then choose Next.

  19. On the Installation Rules page, choose Next.

  20. On the Ready to Install page, review the list of components to be installed, and then choose Install.

    The Installation Progress page shows the status of each component.

  21. On the Complete page, choose Close.

Update SQL Server 2008 R2

TFS 2012.4 introduces a new SQL Server requirement for TFS 2012: SQL Server 2008 R2 now requires service pack 1 (SP1). Previously, SP1 was only strongly recommended for some SQL Server editions, but now all SQL Server 2008 R2 editions require SP 1.

Configure Analysis Services to recover on failure

Analysis Services properties

You should configure the Windows service for Analysis Services to restart itself if it fails.

To configure Analysis Services to recover

  1. Open the Services control panel (Start >Administrative tools >Services).

  2. Right-click the Windows service for SQL Server Analysis Services (MSSQLSERVER), and then choose Properties. If you are using a named instance of Analysis Services, the instance name appears in parenthesis

    Select the Windows service for Analysis Services

  3. Choose Recovery.

  4. In the First failure list, choose Restart the Service.

  5. In the Second failure list, choose Restart the Service.

  6. In the Subsequent failures list, choose Restart the Service, and then choose OK.

Next Step: Set up SharePoint

If you don't skip the portal setup, you have two options for how to deal with SharePoint (if you don't want to deal with SharePoint, you can move on to step 4, Back up and Restore Data for TFS):

Use the same SharePoint site for TFS that you have right now

If your old SharePoint server is still up and running, you can continue to use it. Go to the SharePoint server and uninstall old extensions, and then install the new extensions before you upgrade TFS. If SharePoint and the previous version of TFS were on the same computer, you have to uninstall the entire TFS 2010 application tier. In the new upgraded configuration, the only TFS component on the SharePoint server will be the TFS extensions for SharePoint.

For more information, see: Use the same SharePoint site for TFS that you have right now

install new TFS extensions

Move SharePoint to New Hardware for TFS

New for this version of TFS, you can install SharePoint Foundation using the TFS extensions for SharePoint wizard. The TFS wizard will install a fresh copy of SharePoint using the installation of SQL Server you just set up, and then configure the TFS extensions for the new installtion of TFS. After you install SharePoint, you'll detach its content database to prepare for the migration of the data from your previous SharePoint installation in step 4, Back up and Restore Data.

For more information: Move SharePoint to New Hardware for TFS

install new SharePoint 2010


Move SharePoint to New Hardware for TFS

[image]

Move SharePoint to New Hardware for TFS
Send Feedback

install new SharePoint 2010

How to set up a new SharePoint site

New for this version of TFS, you can install SharePoint Foundation using the TFS extensions for SharePoint wizard. The TFS wizard will install a fresh copy of SharePoint using the installation of SQL Server you just set up, and then configure the TFS extensions for the new installation of TFS. After you install SharePoint, you'll detach its content database to prepare for the migration of the data from your previous SharePoint installation in step 4, Back up and Restore Data.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on Windows Server and a member of the Farm Administrators group in Windows SharePoint Services 3.0.

Install SharePoint and the TFS extensions

Run the TFS installation program from the product DVD and then use the Configure Extensions for SharePoint Products wizard.

To run the Team Foundation Server installer

  1. Insert the Team Foundation Server DVD in the drive and launch the tfs_server.exe file to begin the installation.

  2. On the license terms dialog box, accept the license terms and then choose Install Now.

    If you want to install Team Foundation Server to a specific location in the file system, choose the browse button (...) next to the default install location.

To install SharePoint

  1. In the Team Foundation Server Configuration tool, choose Configure Extensions for SharePoint Products and then choose Start Wizard.

    The Team Foundation Server SharePoint Extensions Configuration wizard appears.

  2. Read the Welcome screen, and choose Next.

  3. Take these steps to install SharePoint:

    1. Choose the big Install SharePoint Foundation 2010 button. Once the install completes, choose Next.

    2. Type the name of the SQL Server or named instance that will host the configuration databases for SharePoint Foundation 2010 and choose Next.

    3. Type a user account and password for the service account forSharePoint Foundation 2010 (WSSSERVICE) and then choose Next.

      For more information, see Accounts Required for Installation of Team Foundation Server

  4. On the Review page, review the settings and choose Next.

    The wizard validates your configuration.

  5. Choose Configure.

    The wizard applies configuration settings. This process might take several minutes.

  6. Choose Next.

  7. Choose Close.

  8. Choose Close.

    The Team Foundation Server Administration Console appears.

Add the TFS service account to the Farm Administrator group

If you're using the same SharePoint site from your previous deployment, you may already have the TFS service account in the Farm Administrators group. If so, you can skip this step. Otherwise, you should follow the steps below to ensure the service account that you will use for TFS is added to the Farm Administrators group on SharePoint.

How do you know if this step is necessary? Here are two potential scenarios that would requrie you to perform this step.

  • If you're planning to change the account you're using for the TFS service account during TFS upgrade, you should add the new account to the Farm Administrators group.

  • If you are using Network Service and you're planning to migrate the TFS application tier to new hardware, you should add the name of the new hardware followed by a $ symbol (Domain\ServerName$) to the Farm Administrators group.

To add the service account to the Farm Administrators group

  1. In a web browser, open the SharePoint 2010 Central Administration site.

  2. Under Security, choose Manage the farm administrators group.

  3. Choose New.

  4. In the Users/Groups box, enter the name of the service account for Team Foundation Server.

    If you're using Network Service, add the server name followed by a $ symbol. For example, domain\servername$.

  5. Choose OK.

Detach the SharePoint content database

When you installed SharePoint, a brand new content database was created for SharePoint. You need to detach this database to prepare for the migration of data from your previous SharePoint installation in step 4, Back up and Restore Data.

To detach the content database

  1. In a web browser, open the SharePoint 2010 Central Administration site.

  2. Under Application Management, choose Manage Content Databases.

  3. Choose WSS_Content.

    Note Note

    WSS_Content is the default name. Your installation might use a custom name for this database.

    The Manage Content Database Settings page opens.

  4. Select the Remove content database check box, and then choose OK.

    Note Note

    This step detaches the database but does not delete any content.

  5. In the warning dialog box that appears, choose OK.

  6. In Manage Content Database Settings, choose OK to confirm your changes.

Next Step: Back up and restore data

New for this version of TFS, you can use custom backup and restore tools to manage your data. First you're going to back up your data, including the encryption key on the report server. Next, you're going to restore your data to the SQL Server instance you set up in step 2. With the restore complete, you'll use the SQL Server Reporting tool to restart the database, restore the encryption key, and then verify access to the report server. If you installed SharePoint, you'll use a SharePoint command line tool to attach and upgrade your content database

For more information, see Back up and Restore Data for TFS

back up and restore data


Back up and Restore Data for TFS

[image]

Back up and Restore Data for TFS
Send Feedback

back up and restore data

How to back up and restore TFS data to new hardware

If you haven't installed TFS on the new hardware yet, you'll want to do that now. New for this version of TFS, you can use custom backup and restore tools to manage your data.

First you're going to back up your data, including the encryption key on the report server that you used with the previous version of TFS. Next, you're going to restore your data to the SQL Server instance you set up in step 2. With the restore complete, you'll use the SQL Server Reporting tool to restart the report server database, restore its encryption key, and then verify access to the report server. If you installed SharePoint, you'll use a SharePoint command line tool to attach and upgrade your content database.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on Windows server of the new hardware and the old.

If you plan to configure reporting, you must also be a member of the Administrators security group on the server that is running SQL Server Reporting Services. If you plan to configure SharePoint Products, you must be a member of the Farm Administrators group on the SharePoint Products administration site. If you did not install the Database Engine that will host the configuration database or a database administrator manages the instance of SQL Server that you are using, you must be a member of sysadmin Server role in SQL Server.

Back up your data

If you haven't installed TFS on the new hardware yet, you'll want to do that now to access the custom backup and restore tools. You're going to back up all of your TFS data, including the encryption key for the report server.

Tip Tip

Migrating from Windows SharePoint Services 3.0? Your SharePoint site must be running at service pack 2 or higher to migrate the content database to SharePoint Foundation on the new hardware. If you're not at service pack 2 or higher, you should update SharePoint before you back up your data.

To run the Team Foundation Server installer

  1. Insert the Team Foundation Server DVD in the drive and launch the tfs_server.exe file to begin the installation.

  2. On the license terms dialog box, accept the license terms and then choose Install Now.

    If you want to install Team Foundation Server to a specific location in the file system, choose the browse button (...) next to the default install location.

To back up the encryption key for reporting services

  1. Launch Reporting Services Configuration Manager.

    For example, on Windows Server 2008 R2, you would choose Start, All Programs, Microsoft SQL Server, Configuration Tools, and then choose Reporting Services Configuration Manager.

    The Reporting Services Configuration Connection dialog box opens.

  2. Specify the name of the report server you used with the previous version of TFS and then choose Connect.

  3. In the navigation bar on the left side, choose Encryption Keys, and then choose Backup.

    The Encryption Key Information dialog box opens.

  4. In File Location, specify the location where you want to store a copy of this key.

    Consider storing this key on the new hardware, so that it's easily accessible when you restore the Reporting Services databases.

  5. In Password, specify a password for the file.

    Don't forget the password! You'll need it later on to restore the Reporting Services databases.

  6. In Confirm Password, specify the password for the file again.

  7. Choose OK.

To back up your databases

  1. Launch TFSBackup.exe.

    The TFSBackup.exe tool is in the Tools folder where you installed Team Foundation Server. The default location is C:\Program Files\Microsoft Team Foundation Server 11.0\Tools.

  2. In Source SQL Server Instance, enter the name of the SQL Server instance that hosts the TFS databases you want to back up and choose Connect.

  3. In Select databases to backup, choose the databases to back up.

    Need help? List of TFS 2010 databases on MSDN; List of TFS 2008 databases on MSDN.

  4. In Backup Databases to, enter the name of a network share that is configured with read/write access for Everyone, or accept the default location in the file system of the SQL Server you connected to in step 2.

    Note Note

    If you want to overwrite backups stored in this network location, you can choose Overwrite existing database backups at this location.

  5. Choose Backup Now.

    The Backup tool reports progress on each database being backed up.

  6. Choose Close.

Restore your data

To restore your TFS data

  1. Launch TFSRestore.exe.

    The TFSRestore.exe tool is in the Tools folder where you installed Team Foundation Server. The default location is C:\Program Files\Microsoft Team Foundation Server 11.0\Tools.

  2. In Target SQL Server Instance, enter the SQL Server instance you will use as the data tier and choose Connect.

  3. Choose Add Share and enter the UNC path to the network share that is configured with read/write access to Everyone where you stored the backups of your TFS data. For example, \\servername\sharename\.

    If the backup files are located on the file system of the server that is running TFSRestore.exe, you can use the drop down box to select a local drive.

    Note Note

    The service account for the instance of SQL Server you identified at the start of this procedure have read access to this share.

  4. In the left hand navigation pane, choose the network share or local disk you identified in the previous step.

    The TFS Restore Tool displays the database backups stored on the file share.

  5. Select the check boxes for the databases you want to restore to the SQL Server you identified at the start of this procedure.

    Important note Important

    For SharePoint, you must only restore the WSS_Content database. Do not restore the WSS_AdminContent or WSS_Config databases. You want the new SharePoint Foundation versions of these databases, not the ones from the previous version of SharePoint or from a SharePoint installation running on any other server.

  6. Choose Overwrite the existing database(s) and then choose Restore.

    The Database Restore Tool restores your data and displays progress reports.

  7. Choose Close.

Fix up the report server

To restart the Reporting Services database and restore its encryption key

  1. Launch the Report Server Configuration tool and restore the original reporting database and its encryption key to your new instance of SQL Server Reporting Services.

    For SQL Server 2008 R2, choose Start, All Programs, Microsoft SQL Server R2, Configuration Tools, and then Reporting Services Configuration Manager.

  2. In Reporting Services Configuration Connection, specify the name of the server where you installed Reporting Services for TFS 2012 and choose Connect.

  3. On the Database page, choose Change Database.

    The Report Server Database Configuration Wizard appears.

  4. On the Action page, choose Choose an existing report server database and then choose Next.

  5. In Server Name, type the name of the SQL server you used in the TFS Database Restore Tool to restore your report server databases and choose Next.

    Choose Test Connection to test the connection.

  6. Choose the report server database you restored with the TFS Database Restore Tool and then choose Next.

    If you haven't changed the name, the default database name is ReportServer.

  7. On the Credentials page, choose Next.

  8. On the Summary page, review the information and then choose Next.

    The wizard configures the database and displays progress reports.

  9. On Encryption Keys page, choose Restore.

    The Restore Encryption Key window opens.

  10. In File Location, specify the location of the backup file for the encryption key. In Password, specify the password you used when you backed up the encryption key, and then choose OK.

    The status of the restoration appears in Results.

  11. On the Scale-out Deployment page, choose the previous report server from the scale-out deployment status page and choose Remove Server.

  12. On the Report Manager URL page, use the hyperlink in URL to launch the Report Manager site.

    The report manager site appears. Your report server has been restored.

  13. Choose Exit to close Reporting Services Configuration Manager.

Fix up SharePoint server

To run the STSADM command line tool for SharePoint

  1. Open a Command Prompt as an administrator on the new hardware that is running SharePoint Foundation.

  2. Change directories to this location:

    Drive:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\14\bin\

    Where Drive is the drive letter.

  3. In the command prompt, type the following command:

    stsadm.exe -o addcontentdb -url http://WSSServerName/sites -databasename contentdatabase -databaseserver SQLServerName

    Where:

    • WSSServerName is the name of the SharePoint server;

    • contentdatabase is the name of the content database;

    • SQLServerName is the name of the SQL Server that hosts the content database.

  4. In the command prompt, type the following command:

    stsadm.exe -o addpermissionpolicy -url http://WSSServerName -userlogin Domain\UserName -permissionlevel "full control"

    Where:

    1. WSSServerName is the name of the SharePoint server;

    2. Domain\UserName is the user name and domain of the account used to run the TFS SharePoint configuration wizard and install SharePoint.

Next Step: Run the TFS Upgrade Wizard

Run the Team Foundation Server install from the product DVD and then use the Upgrade Configuration wizard to upgrade your installation.

For more information, see: Run the TFS Upgrade Wizard


Use the same SharePoint site for TFS that you have right now

[image]

Use the same SharePoint site for TFS that you have right now
Send Feedback

install new TFS extensions

How to set up your current SharePoint site

You can continue to use the same SharePoint site you used with TFS 2010, if you perform a few procedures to update SharePoint. First you have to uninstall the old TFS extensions for SharePoint¹, and then install the new version of the extensions. You also want to make sure the service account that you will use on the upgraded Team Foundation Server is a member of the Farm administrators group.

Tip Tip

¹ If you're upgrading TFS 2012, you don't have to uninstall the old version of TFS extensions.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on Windows Server and a member of the Farm Administrators group in Windows SharePoint Services 3.0.

Uninstall the old TFS extensions

Uninstall previous version

On the SharePoint site you were using with TFS 2010, uninstall the TFS Extensions for SharePoint (the uninstall screen for TFS 2008 looks different, but the process is exactly the same).

If SharePoint and the previous version of TFS were on the same computer, you have to uninstall the entire TFS application tier. In the new upgraded TFS deployment, your SharePoint server will be on a different server than the TFS application tier, and the only TFS component on the SharePoint server will be the TFS extensions for SharePoint.

Tip Tip

If you're upgrading TFS 2012, you don't have to uninstall the old version of TFS. You can skip this step and install the new TFS extensions without uninstalling the old.

Install the new TFS extensions

Run the TFS installation program from the product DVD and then use the Configure Extensions for SharePoint Products wizard.

To run the Team Foundation Server installer

  1. Insert the Team Foundation Server DVD in the drive and launch the tfs_server.exe file to begin the installation.

  2. On the license terms dialog box, accept the license terms and then choose Install Now.

    If you want to install Team Foundation Server to a specific location in the file system, choose the browse button (...) next to the default install location.

To configure Team Foundation Server Extensions for SharePoint Products

  1. In the Team Foundation Server Configuration tool, choose Configure Extensions for SharePoint Products and then choose Start Wizard.

    The Team Foundation Server SharePoint Extensions Configuration wizard appears.

  2. Read the Welcome screen, and choose Next.

  3. Since SharePoint Products is already installed, skip to the next step. If SharePoint weren't installed, you'd take these steps:

    1. Choose the big Install SharePoint Foundation 2010 button. Once the install completes, choose Next.

    2. Type the name of the SQL Server or named instance that will host the configuration databases for SharePoint Foundation 2010 and choose Next.

    3. Type a user account and password for the service account forSharePoint Foundation 2010 and then choose Next.

      For more information, see Accounts Required for Installation of Team Foundation Server

  4. On the Review page, review the settings and choose Next.

    The wizard validates your configuration.

  5. Choose Configure.

    The wizard applies configuration settings. This process might take several minutes.

  6. Choose Next.

  7. Choose Close.

  8. Choose Close.

    The Team Foundation Server Administration Console appears.

Add the TFS service account to the Farm Administrator group

If you're using the same SharePoint site from your previous deployment, you may already have the TFS service account in the Farm Administrators group. If so, you can skip this step. Otherwise, you should follow the steps below to ensure the service account that you will use for TFS is added to the Farm Administrators group on SharePoint.

How do you know if this step is necessary? Here are two potential scenarios that would require you to perform this step.

  • If you're planning to change the account you're using for the TFS service account during TFS upgrade, you should add the new account to the Farm Administrators group.

  • If you are using Network Service and you're planning to migrate the TFS application tier to new hardware, you should add the name of the new hardware followed by a $ symbol (Domain\ServerName$) to the Farm Administrators group.

To add the service account to the Farm Administrators group

  1. In a web browser, open the SharePoint Central Administration site.

  2. Choose the Operations tab.

  3. Under Security Configuration, choose Update farm administrator's group.

  4. In Groups, choose Farm Administrators.

  5. Choose New.

  6. In the Users/Groups box, enter the name of the service account for Team Foundation Server.

    If you're using Network Service, add the server name followed by a $ symbol. For example, domain\servername$.

  7. Choose OK.

Next Step: Which server upgrade path are you on?

  • If you're doing an in-place upgrade, go to Step 3, Run the TFS Upgrade Wizard.

  • If you're doing a migration upgrade, go to Step 4, Back up and Restore Data for TFS.

Install TFS on same hardware

install TFS on different hardware


Run the TFS Upgrade Wizard

[image]

Run the TFS Upgrade Wizard
See Also Send Feedback

How to run the TFS upgrade wizard

First, install TFS, then run the upgrade configuration wizard. If you moved TFS to new hardware, you have to change the URL for TFS. If you move the TFS application tier to new hardware, you must update the URL for the application tier after you finish running the TFS upgrade wizard.

Tip Tip

After you install TFS, its configuration tool appears automatically. If for some reason you don't see it, you can access it from the TFS administration console. Launch TFS administration console from the Start menu. In the admin console, choose Application Tier, and then choose Configure Installed Features.

Required Permissions

To perform this procedure, you must be a member of the Windows Administrators security group. If you're upgrading a basic TFS installation, these are the only permissions you need.If you plan to configure reporting, you must also be a member of the Windows Administrators security group on the server that is running SQL Server Reporting Services. If you plan to configure SharePoint Products, you must be a member of the Farm Administrators group on the SharePoint Products administration site. If you did not install the Database Engine that will host the configuration database or a database administrator manages the instance of SQL Server that you are using, you must be a member of sysadmin Server role in SQL Server.

To run the Team Foundation Server installer

  1. Insert the Team Foundation Server DVD in the drive and launch the tfs_server.exe file to begin the installation.

  2. On the license terms dialog box, accept the license terms and then choose Install Now.

    If you want to install Team Foundation Server to a specific location in the file system, choose the browse button (...) next to the default install location.

To run the Team Foundation Server upgrade wizard

  1. In the Team Foundation Server Configuration tool, choose Upgrade, and then choose Start Wizard.

    The Team Foundation Server Upgrade Configuration wizard appears.

  2. Read the Welcome screen and choose Next.

  3. Type the name of the SQL Server instance that hosts the data from an earlier version of Team Foundation Server, and choose List Available Databases.

    If your configuration database is part of an AlwaysOn Availability Group, select This instance is a SQL AwlaysOn Availability Group.

    The wizard lists deployments of Team Foundation Server that you can upgrade. If multiple deployments are listed, choose the one that you want to upgrade.

  4. Select the By checking this box, I confirm that I have a current backup check box, and then choose Next.

    If you need to do a backup, you can choose Click here to launch the Database Backup Tool, follow the steps below, then continue with the TFS upgrade wizard.

    The TFS Database Backup Tool displays the databases it finds on the SQL Server instance specified in SQL Server Instance.

    1. In Select databases to back up, choose the databases to back up.

      Need help? List of TFS 2010 databases on MSDN; List of TFS 2008 databases on MSDN

    2. In Backup Databases to, accept the default location or enter another location.

      Note Note

      If you want to overwrite backups stored in this network location, you can choose Overwrite existing database backups at this location.

    3. Choose Backup Now.

      The Backup tool reports progress on each database being backed up.

    4. Choose Close.

  5. Choose Use a system account to use a built-in account, or choose Use a user account to use a domain or local account. If you are using a user account, you must type its password. To test the user account and password combination, choose Test.

    Network Service is the default value for this service account.

  6. Under Authentication Method, choose NTLM or Negotiate (Kerberos), and then choose Next.

    • If you choose NTLM, NTLM authentication is used. This option is the default setting.

    • If you choose Negotiate (Kerberos), Kerberos authentication is attempted first. If that authentication fails, NTLM authentication is used.

  7. If you're upgrading from TFS 2008, you can specify a Port or Virtual Directory or you can accept the default values. If you're upgrading from any other version of TFS, you must skip to the next step. On client operating systems, you must skip to step 10. You cannot configure SharePoint Products or the reporting feature of Team Foundation Server (steps 8 and 9) on a client operating system.

  8. Use the Configure Reporting for Team Foundation Server page to opt in or out of using reporting. Select the Configure Reporting for use with Team Foundation Server check box to use reporting, or clear the check box to skip reporting, and then choose Next.

    Tip Tip

    If you skip reporting and add it later during an upgrade, you may need to use different database names for the reporting warehouse databases (TFS_Warehouse and TFS_Analysis). As an alternative, you can delete the old reporting databases and new databases will be created using the default names.

    1. Enter the name of the server that is running SQL Server Reporting Services in Reporting Services Instance and choose Populate URLs.

      The URLs for the report server and its management site appear in the drop-down lists for Report Server URL and Report Manager URL.

    2. Choose the URLs that you want to use for Team Foundation Server and then choose Next.

    3. If you're upgrading from TFS 2008, skip to the next step. Otherwise, type the name of the server that is running the Database Engine and Full-Text Search to host the warehouse database, and then choose List Available Databases.

      The wizard lists available warehouse databases that you can upgrade. Choose the database that you want to upgrade, and then choose Next.

      You can choose Test to test the connection to SQL Server.

    4. Enter the name of the server that is running SQL Server Analysis Services in SQL Analysis Services Instance and choose Next.

      To test the connection to SQL Server, choose Test.

    5. Enter the name and the password of the report reader account and choose Next. If you specified a user account for the service account of Team Foundation Server in step 5 and you want to use a different account in this step, you must select the Use a different account than the Team Foundation Server service account for the Reporting Services report reader account check box.

      Choose Test to test the user account and password combination.

  9. Use the Configure SharePoint for Team Foundation Server page to opt in or out of using SharePoint Products. Select the Configure SharePoint for use with Team Foundation Server check box to configure SharePoint Products or clear the check box to skip the step, and choose Next.

    If you selected SharePoint Products configuration perform one of the following steps:

    Note Note

    If you're upgrading from TFS 2008 and you opt into SharePoint, there is no Use an existing server farm for SharePoint check box. Your only option is to enter the URL for the SharePoint web application and the SharePoint Administration site, and then choose Next.

    • Choose Use current SharePoint settings to retain your settings for SharePoint Products, and then choose Next.

      You typically use this option to continue to use the existing portal, which must have the new Team Foundation Server Extensions for Windows SharePoint Services installed and configured. If your portal is on the server you are upgrading, the new extensions are configured automatically.

    • Choose Use an existing server farm for SharePoint, enter the URL for the SharePoint web application and the SharePoint Administration site, and then choose Next. To test the connection to each of these URLs, you can choose Test.

      You typically use this option to migrate to a new portal, which must contain your migrated data for SharePoint Products.

  10. If you're not upgrading from TFS 2008, skip to the next step. If you're upgrading from TFS 2008, accept the default values for project collection name and description or optionally enter a new name and description and then choose Next.

  11. On the Review page, review your settings, and choose Next.

    The wizard validates your configuration.

  12. Choose Configure.

    The wizard applies configuration settings.

  13. Choose Next.

    Your data is upgraded, and progress reports appear and detail the steps that are being performed.

  14. Choose Next.

  15. Read the final summary screen, and then choose Close twice-once in the wizard and then again in the configuration tool.

    Note Note

    If the upgrade fails, see the detailed log files by choosing Click here to open a complete log on the summary screen. After you resolve any outstanding issues that are identified in the log file, you can resume the upgrade by using the Team Foundation Administration Console. On the Status tab in Team Project Collections, choose Create Collection, and then choose Rerun job.

Update the URL for TFS

If you did an in-place upgrade, you can ignore both these procedures.

If you migrated the TFS application tier to new hardware, you have to update the URL for TFS on the application tier and in the TFS SharePoint Extensions.

Update the URL for TFS on the application tier

  1. On the TFS application-tier, open the administration console for Team Foundation Server.

  2. In the navigation bar, choose Application Tier, and then click Change URLs.

    The Change URLs window opens.

  3. In Notification URL, type the URL for the new application-tier server, and then choose OK.

Update the URL for the TFS application tier in the TFS Extensions for SharePoint

  1. On server running SharePoint, open the administration console for Team Foundation Server.

  2. In the navigation bar, choose Extensions for SharePoint Products, select the SharePoint Web Application and then click Modify access.

    The Access for Team Foundation Server window opens.

  3. In URL for Team Foundation Server, type the URL for the new application-tier server, and then choose OK.

See Also

Concepts

TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server


Install Team Foundation Build Service

[image]

Install Team Foundation Build Service
See Also Send Feedback

If you want to automate builds of your software projects, you can install Team Foundation Build Service from the Team Foundation Server product DVD and create a build machine. Once you have the build machine set up, you'll want to create a build definition in Visual Studio with instructions about which code projects to compile and many other configurations.

But first, you must set up the build machine.

Installing Team Foundation Build Service

The most important thing to concern yourself with during installation is selecting the right hardware to get the best performance (recommendations are linked below). If your team is building Windows Store apps, you'll need to install the build service on Windows 8. For more information, see this topic on the Microsoft website: Build and Test a Windows Store App Using Team Foundation Build. All of the settings you choose during the initial configuration of Team Foundation Build Service can be changed after installation, so don't worry too much about making a wrong choice. For a comprehensive explanation of Team Foundation Build Service architecture and all possible topologies, see this topic on the Microsoft website: Understanding a Team Foundation Build System.

Although you can install Team Foundation Build Service on the same computer as Team Foundation Server, you probably shouldn't. You don't want to hurt the performance of Team Foundation Server or increase its attack surface when builds are running.

To install Team Foundation Build Service

Step 1 Verify that the operating system and hardware meet the requirements for Team Foundation Build Service. By default, Team Foundation Build Service uses Network Service for its service account (TFSBUILD). If you're going to connect to Visual Studio Online, you'll also need the Microsoft account you used to set up the hosted service.

For more information: System Requirements for Team Foundation Build Service, Accounts Required for Installation of Team Foundation Server.

Step 2 Run the Team Foundation Server install from the product DVD and then use the build service configuration wizard to configure your installation. This wizard installs and configures Team Foundation Build Service.

Install Team Foundation Server Build

For more information: Run Team Foundation Server Installation, Configure Team Foundation Build Service Using the Team Foundation Server Configuration Tool

Tip Tip

Download the most recent version of the TFS 2012 Install Guide on the Download Center to see any late breaking changes to these steps.

Build machine upgrade tips

Here are some tips on dealing with TFS upgrades and the build service:

  • With TFS 2012 update 3 (TFS 2012.3), the build service has a new feature to restore your previous build server settings. Install the latest build service, run the configuration wizard, connect to a collection from a server that had previously been set up with build resources, and you're prompted to restore your previous settings.

  • If you're upgrading a TFS installation that's secured with SSL, remember to configure the new build server to use SSL ports before you try to connect to an application tier secured with SSL. See: To change a build configuration to use HTTPS.

  • If you have upgraded to TFS 2012.2 or later on your on-premises application tier server, then you can connect a TFS 2010 build server to your on premises TFS 2012 application-tier server, but you cannot run both the TFS 2010 and TFS 2012 build service on the same computer.

  • If you have not upgraded to TFS 2012.2 or later on your on-premises application tier server, then you cannot connect a TFS 2010 build server to your on premises TFS 2012 application-tier server, but you can run both the TFS 2010 and TFS 2012 build service on the same computer.

Note Note

Upgrade template builds might not function correctly in this kind of side-by-side configuration.

See Also

Concepts

Install Team Foundation Server
TFS Upgrade Requirements


System Requirements for Team Foundation Build Service

[image]

System Requirements for Team Foundation Build Service
See Also Send Feedback

You can install Team Foundation Build Service on a server that is running one of the following operating systems:

Server operating systems: ¹

  • 64-bit version of Windows Server 2008 with Service Pack 2 (Standard or Enterprise Edition)

  • 64-bit version of Windows Server 2008 R2 with Service Pack 1 (Standard or Enterprise Edition)

  • 64-bit version of Windows Server 2012

Client operating systems:

  • 32 and 64-bit versions of Windows 7 with Service Pack 1 (Home Premium, Professional, Enterprise, or Ultimate Edition)

  • 32 and 64-bit versions of Windows 8

¹ Team Foundation Build Service does not support the Server Core installation option.

Hardware Recommendations

The Team Foundation Build Service hardware requirements are the same as the operating system on which it is running. That said, you can optimize the performance of your build machine by installing Team Foundation Build Service on hardware adequate for the way your team intends to automate builds.

To understand hardware optimization, you should understand the basics of the build service architecture. When you install Team Foundation Build Service with the default settings, you create a build machine with a build controller and a single build agent. Build controllers connect the build machine to Team Foundation Server. If you run many builds at the same time, build controllers can require a significant amount of memory. Build agents, on the other hand, perform processor-intensive and disk-intensive work, so you should make sure that the CPU on the build machine is sufficiently powerful to enable the build agent to perform its tasks in an acceptable period of time.

To determine the minimum amount of disk space that is required, you should determine the size of your overall source configuration, and then add the size of all intermediate outputs and binaries from the build process. After you have this number, multiply it by the number of build definitions likely to be built on a particular server, and then double that number for the minimum recommended amount of available disk space for that server.

Tip Tip

Use a server that has fast hard disks as an inexpensive way to improve build performance. Another way to maximize Team Foundation Build Service performance is to use hardware with multi-core CPUs.

Using One Server or More?

You can use build frequency as a metric for determining how much of a hardware investment you want to make for Team Foundation Build Service. If your team performs weekly or nightly builds, installing Team Foundation Build Service on the server that is running Team Foundation Server may not have an adverse effect on productivity. If your team performs parallel builds or continuous integration builds, or if you plan to create a build lab for more than one team, you should most likely install Team Foundation Build Service on its own server, or possibly even multiple servers.

Additional Considerations

You can set up a network share as a drop folder to store builds. You should create this folder on a computer that is running a supported server operating system, because of the concurrent file access limitations of non-server operating systems. This folder does not have to be on the same server as Team Foundation Build Service. More information: Set Up Drop Folders

See Also

Concepts

Install Team Foundation Build Service


Configure Team Foundation Build Service Using the Team Foundation Server Configuration Tool

[image]

Configure Team Foundation Build Service Using the Team Foundation Server Configuration Tool
Send Feedback

You can use this procedure to configure Team Foundation Build Service with the default options.

Tip Tip

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Build Configuration, and then choosing Configure Installed Features.

Required permissions

You must be a member of both the Windows Administrators security group on the server on which you are configuring Team Foundation Build Service and the Project Collection Administrators group on TFS. If you want to connect to a collection on Visual Studio Online, you also need the Microsoft account you used to set up the hosted service.

To configure Team Foundation Build Service

  1. Choose Configure Team Foundation Build Service, and then choose Start Wizard.

    The Build Service Configuration wizard appears.

  2. Read the Welcome screen, and then choose Next.

  3. Choose Browse, and then choose the team project collection to which you want this build controller to connect. If your team project collection is on the hosted service, you're prompted to authenticate. Enter the Microsoft account you used to set up the service. Choose Next.

    If you connect to a collection that previously hosted resources for the build service on this server, you're prompted to restore your settings. If you want the same number of controllers and agents, choose Yes and then skip to step 5. If you want to configure this build server with different resources, choose No.

  4. Perform one of the following steps, and then choose Next:

    • Choose Use the default setting, and specify the number of build agents.

      If you installed Team Foundation Build Service on the same server as Team Foundation Server or are using the hosted service, the default setting for Number of build agents to run on this build machine is 1 (recommended).

    • Choose Scale out build services to run concurrent builds across multiple machines. If you choose this option, you have to specify the number of build agents for this machine and then add them to a new or existing build controller.

      If you installed Team Foundation Build Service on its own server, the default setting for Number of build agents to run on this build machine is equal to the number of processor cores on this server.

    • Choose Replace an existing build machine, and then specify the build machine to replace. This option copies the existing configuration to the new build server.

    • Choose Configure later to skip setting up any build controllers or agents on this instance of Team Foundation Build Service.

      If you choose this option, you must manually connect the build controller to Team Foundation Server before you can use this build machine.

  5. Under Run Team Foundation Build Service as, perform one of the following steps, and then choose Next:

    • Choose Use a system account, and then choose a system account.

      For example, choose NT Authority\Network Service to use Network Service.

    • Choose Use a user account to use a domain or local account, and then enter the account name and password. To test the user account and password, choose Test.

    If you've connected this build machine to the hosted service, under Advanced Configuration, you can see Account Name.

    When you created the instance of Team Foundation Server on the hosted service, Account Name was automatically created for you. This account will be added to the Project Collection Build Service Accounts group on the hosted service.

  6. Review the information and then choose Next.

    The wizard validates your configuration.

  7. Choose Configure.

    The wizard applies configuration settings.

  8. Choose Next, Close, Close.

    The Team Foundation Server Administration Console appears.


How to: Set Up Remote SharePoint Products for Team Foundation Server

[image]

How to: Set Up Remote SharePoint Products for Team Foundation Server
See Also Send Feedback

Install Team Foundation Server extensions for SharePoint Products on a remote server

install extensions on remote portal

If you want to run SharePoint Products on a server other than Team Foundation Server, you must install the Team Foundation Server extensions for SharePoint Products from the Team Foundation Server DVD.

New in this version of Team Foundation Server, you can install and configure SharePoint Foundation 2010 during the extensions configuration. If you have an existing server running SharePoint Products, you can install and configure only the extensions on it, as in previous versions. But in this version of Team Foundation Server, the extensions configuration automatically provisions a SharePoint web application for you, a process that customers had to manually configure in previous versions. Also new-you can install the extensions separate from the rest of the Team Foundation Server installation files. This is helpful if you have to convince SharePoint administrators outside of your organization to install the extensions on a SharePoint Server farm.

Add SharePoint Products portal after Team Foundation Server installation

In addition to setting up remote SharePoint Products, you can use the Team Foundation Server extensions for SharePoint Products to add a portal to an installation of Team Foundation Server after it has already been installed and configured.

To install Team Foundation Server extensions for SharePoint Products

Step 1 Verify that the operating system and hardware or the existing SharePoint Products installation meets the requirements for Team Foundation Server extensions for SharePoint Products. If you don't want to use SharePoint Foundation 2010, you can install any supported version of SharePoint Products. If you install the Enterprise version of SharePoint Office 2007 or SharePoint Server 2010, you must configure it for dashboards.

For more information: SharePoint Products Requirements for Team Foundation Server, Verify SharePoint Products for Team Foundation Server, Manually Install SharePoint Products on Windows Server for Team Foundation Server, Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility.

Step 2 Run the Team Foundation Server install from the product DVD and then use the Team Foundation Server extensions for SharePoint Products configuration wizard to configure your installation. This wizard installs and configures the extensions and, if you want, SharePoint Foundation 2010.

Add the service account that you will use for Team Foundation Server (TFSSERVICE) to the Farm Administrators group.

For more information: Run Team Foundation Server Installation, Configure Team Foundation Server Extensions for SharePoint Products, Add the Service Account for Team Foundation Server to the Farm Administrators Group.

Tip Tip

If you don't want to install all of Team Foundation Server on the server running SharePoint Products, choose Install Remote SharePoint Extensions from the Team Foundation Server splash screen.

Step 3 If you installed Enterprise version of SharePoint Office 2007 or SharePoint Server 2010, you must make some final configurations in the extensions, but you must do this step after you install Team Foundation Server.

For more information: Configure the Enterprise Application Definition for Team Foundation Server.

Tip Tip

Download the most recent version of the Installation Guide for Team Foundation Server to see any late breaking changes to these steps.

See Also

Concepts

TFS Upgrade Requirements


Configure Team Foundation Server Extensions for SharePoint Products

[image]

Configure Team Foundation Server Extensions for SharePoint Products
See Also Send Feedback

If SharePoint Products is not on the server that is running Team Foundation Server, you have a remote portal. If you have a remote portal, you must install and configure the Team Foundation Server extensions for SharePoint Products on the remote portal.

If you have multiple servers in a web farm, you must install and configure the extensions on every server in the farm. After you install the extensions, you must perform this configuration procedure on each server. An error message might appear during configuration asking you to verify that the extensions have been installed on every server in the farm. You can safely ignore this error. After the extensions have been installed and configured on every server, this error stops.

Tip Tip

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Application Tier, and then choosing Configure Installed Features.

Required Permissions

To perform this procedure, you must be a member of the Farm administrators group on the SharePoint Products administration site.

To configure Team Foundation Server Extensions for SharePoint Products

  1. In the Team Foundation Server Configuration tool, choose Configure Extensions for SharePoint Products and then choose Start Wizard.

    The Team Foundation Server SharePoint Extensions Configuration wizard appears.

  2. Read the Welcome screen, and choose Next.

  3. If SharePoint Products is installed, skip to the next step. If SharePoint is not installed, take these steps:

    1. Choose the big Install SharePoint Foundation 2010 button. Once the install completes, choose Next.

    2. Type the name of the SQL Server or named instance that will host the configuration databases for SharePoint Foundation 2010 and choose Next.

    3. Type a user account and password for the service account forSharePoint Foundation 2010 (WSSSERVICE) and then choose Next.

      For more information, see Accounts Required for Installation of Team Foundation Server

  4. On the Review page, review the settings and choose Next.

    The wizard validates your configuration.

  5. Choose Configure.

    The wizard applies configuration settings. This process might take several minutes.

  6. Choose Next.

  7. Choose Close.

  8. Choose Close.

The Team Foundation Server Administration Console appears.

See Also

Concepts

How to: Set Up Remote SharePoint Products for Team Foundation Server
TFS Upgrade Requirements


Add the Service Account for Team Foundation Server to the Farm Administrators Group

[image]

Add the Service Account for Team Foundation Server to the Farm Administrators Group
See Also Send Feedback

You must add the service account for Team Foundation Server (TFSSERVICE) to the Farm Administrators group on the SharePoint Products site. If you are using Network Service for TFSSERVICE and SharePoint Products is not running on the same server as Team Foundation Server, you must add the computer name of the server that is running Team Foundation Server instead of Network Service. The computer name required is the server name followed by the $ symbol-for example, Domain\ServerName$.

For more information about service accounts, see Accounts Required for Installation of Team Foundation Server.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running SharePoint Products.

To add the service account for Team Foundation Server to the Farm Administrators group in SharePoint Foundation 2010 or SharePoint Server 2010

  1. In a web browser, open the SharePoint Central Administration site.

  2. Under Security, choose Manage the farm administrators group.

  3. Choose New.

  4. In the Users/Groups box, enter the name of the service account for Team Foundation Server (TFSSERVICE).

  5. Choose OK.

To add the service account for Team Foundation Server to the Farm Administrators group in Windows SharePoint Server 3.0 or Office SharePoint 2007

  1. In a web browser, open the SharePoint Central Administration site.

  2. Choose the Operations tab.

  3. Under Security Configuration, choose Update farm administrator's group.

  4. In Groups, choose Farm Administrators.

  5. Choose New.

  6. In the Users/Groups box, enter the name of the service account for Team Foundation Server (TFSSERVICE).

  7. Choose OK.

Note Note

If your SharePoint Products server is not on the server that is running Team Foundation Server, you have a remote portal. If you have a remote portal, you must also add the account you are going to use to install Team Foundation Server to the Farm Administrators group.

See Also

Concepts

TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server


SharePoint Products Requirements for Team Foundation Server

[image]

SharePoint Products Requirements for Team Foundation Server
Send Feedback

Team Foundation Server doesn't require SharePoint Products. If you want to use SharePoint Products, you must use a supported version that has the Team Foundation Server extension for SharePoint Products installed. You have multiple options:

  • You can use Team Foundation Server standard or advanced configuration wizards to install SharePoint Foundation 2010 on the same server as Team Foundation Server (except on Windows Server 2012, where SharePoint 2010 is not supported). The Team Foundation Server extensions for SharePoint Products are installed automatically during Team Foundation Server installation.

  • You can use Team Foundation Server extensions for SharePoint Products configuration wizard to install SharePoint Foundation 2010 on a different server from Team Foundation Server.

  • You can use Office SharePoint Server 2007, SharePoint Server 2010, or SharePoint Server 2013. If you use the Enterprise version of either of these products, you must configure it for dashboard compatibility. More on dashboard requirements below.

  • You can use Windows SharePoint Services 3.0. Although Team Foundation Server has no service pack requirements for SharePoint Products, certain operating systems have requirements for Windows SharePoint Services 3.0.

Regardless of which option you choose, your SharePoint Products must meet the following requirements:

Supported versions, editions

  • SharePoint Foundation 2013 ¹

  • SharePoint Server 2013, Enterprise edition ¹

  • SharePoint Server 2013, Standard edition ¹

  • SharePoint Foundation 2010 ²

  • SharePoint Server 2010, Enterprise edition ²

  • SharePoint Server 2010, Standard edition ²

  • Office SharePoint Server 2007, Enterprise edition ²

  • Office SharePoint Server 2007, Standard edition ²

  • Windows SharePoint Services 3.0 ²

Authentication

NTLM is the recommended authentication. Team Foundation Server Extensions for SharePoint Products does not support Basic authentication or anonymous authentication.

¹ Supported on Windows Server 2012.

² Not supported on Windows Server 2012.

Dashboard requirements

Team Foundation Server contains dashboards that use SharePoint Products features to display team data. The dashboards that are available to you depend on the version of SharePoint Products that you install.

  • If you install the Enterprise editions of either Office SharePoint Server 2007 or SharePoint Server 2010, you can use five dashboards that are configured with reports that are based on Microsoft Excel.

  • If you install Office SharePoint Server 2007 Standard, SharePoint Server 2010 Standard or Windows SharePoint Services 3.0, you can use two dashboards that are configured with reports that are based on SQL Server Reporting Services.

Deployment references for SharePoint Products

SharePoint Products has its own set of prerequisites for deployment.

  • For more information about how to deploy and configure SharePoint Server 2010, see the following page on the Microsoft website: Deployment for SharePoint Server 2010

  • For more information about how to deploy and configure Office SharePoint Server 2007, see the following page on the Microsoft website: Deployment for Office SharePoint Server 2007

  • For more information about how to deploy and configure Windows SharePoint Services 3.0, see the following page on the Microsoft website: Deployment for Windows SharePoint Services 3.0 technology

Service pack requirements for SharePoint Products

Team Foundation Server has no service pack requirements for SharePoint Products. However, certain operating systems have requirements for Windows SharePoint Services 3.0.

If you are running Windows Server 2008, you must download an installation program for Windows SharePoint Services 3.0 that has a service pack already added (Service Pack 1 for Windows Server 2008 or Service Pack 2 for Windows Server 2008 R2). For your convenience, here are links to the 32-bit or 64-bit installation program for Windows SharePoint Services 3.0 with the most recent service pack from the Microsoft website:

  • Windows SharePoint Services 3.0 with Service Pack 2

  • Windows SharePoint Services 3.0 x64 with Service Pack 2

Although Windows Server 2003 does not have the same requirements as Windows Server 2008, the most recent service pack is recommended.

Microsoft Office SharePoint Server 2007 or SharePoint Server 2010 have no operating system requirements that relate to service packs and Team Foundation Server.

How to install SharePoint Products for Team Foundation Server

How to: Set Up Remote SharePoint Products for Team Foundation Server

You can use Team Foundation Server extensions for SharePoint Products configuration wizard to install SharePoint Foundation 2010 on a different server from Team Foundation Server.

Install Team Foundation Server

You can use Team Foundation Server standard configuration wizards to install SharePoint Foundation 2010 on the same server as Team Foundation Server. The Team Foundation Server extensions for SharePoint Products are installed automatically during Team Foundation Server installation.

More SharePoint Products tasks for Team Foundation Server

Manually Install SharePoint Products on Windows Server for Team Foundation Server

Install SharePoint Server 2010, Office SharePoint Server 2007 or Windows SharePoint Services 3.0 for use with Team Foundation Server.

Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility

Provides steps for how to configure the Enterprise edition of either Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010 so that dashboard functionality works after you install Team Foundation Server.

Add the Service Account for Team Foundation Server to the Farm Administrators Group

You must add the service account for Team Foundation Server to the Farm Administrators group on the SharePoint products site. Team Foundation Server configures this for you automatically if you install SharePoint Products on the same server as Team Foundation Server.

Configure the Enterprise Application Definition for Team Foundation Server

Final configuration is required in the Team Foundation Server extensions for SharePoint Products only if you're using the Enterprise edition of either Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010.

Verify SharePoint Products for Team Foundation Server

Provides steps to verify that SharePoint Products is ready to work with Team Foundation Server.


Manually Install SharePoint Products on Windows Server for Team Foundation Server

[image]

Manually Install SharePoint Products on Windows Server for Team Foundation Server
See Also Send Feedback

You can install SharePoint Foundation 2010 using the TFS installation wizards, including the wizard for the standard TFS install and, new in this version of TFS, the wizard for installing the TFS extensions for SharePoint. Perform this procedure only if you want to install a different version of SharePoint Products.

Note Note

This topic covers only the released versions of supported SharePoint Products, none of which can run on Windows Server 2012.

Team Foundation Server Best Practices for SharePoint Products

  • If you install SharePoint Products, you can use any port that you want for the Central Administration site. You do not have to use port 17012.

  • NTLM is the recommended authentication.

  • Team Foundation Server Extensions for Windows SharePoint Services does not support Basic authentication or anonymous authentication.

Tip Tip

For more information about how to deploy and configure SharePoint Server 2010 or Office SharePoint Server 2007, see the following pages on the Microsoft website: Deployment for SharePoint Server 2010, Deployment for Office SharePoint Server 2007

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the computer where you install SharePoint Products and where you host its databases.

To install SharePoint Products to work with Team Foundation Server

  1. Start the installation wizard for SharePoint Products.

    You can start this wizard by inserting the installation DVD. If you are installing Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, type your product key, and click Continue.

  2. On the Read the Microsoft Software License Terms page, read the agreement. If it is acceptable, select the I accept the terms of this agreement check box, and then click Continue.

  3. On the Choose the installation you want page, perform one of the following steps:

    • If you are installing Windows SharePoint Services 3.0 or Microsoft Office SharePoint Server 2007, click Advanced.

    • If you are installing SharePoint Server 2010, click Server Farm.

  4. On the Server Type tab, perform one of the following steps:

    • If you are installing Windows SharePoint Services 3.0, click Web Front End.

    • If you are installing Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, click Complete.

  5. If you are installing SharePoint Server 2010, you must skip this step. Otherwise, on the Feedback tab, specify an option. (This is not a required step.)

    For more information about the program, click the link. You must have an Internet connection to view the program information.

  6. Click Install Now.

    When the installation wizard finishes, a dialog box appears that prompts you to complete the configuration of your server.

  7. In that dialog box, verify that the Run the SharePoint Products and Technologies Configuration Wizard now check box is selected.

  8. Click Close to start the configuration wizard.

  9. On the Welcome to SharePoint Products and Technologies page, click Next.

    Note Note

    If a warning about restarting certain services appears, click Yes. Some services might need to be restarted during the configuration phase.

  10. On the Connect to a server farm page, click No, I want to create a new server farm, and then click Next.

  11. On the Specify Configuration Database Settings page, perform the following steps:

    1. In Database server, type the name of the server that is running SQL Server. If you will use a named instance, add its name after the name of the database server, separated by a slash. For example, MyDatabaseServer\MyInstanceName.

    2. In Database name, type the name of the database that you want to use, or accept the default value.

    3. Under Specify Database Access Account, in Username, type the name of the user account that you want to use as the service account for SharePoint Products (WSSSERVICE).

      You can use the same service account that you will use for Team Foundation Server (referred to as TFSSERVICE).

    4. Under Specify Database Access Account, in Password, type the password for the service account.

    5. After you specify all the required information, click Next.

  12. If you are installing Windows SharePoint Services 3.0 or Microsoft Office SharePoint Server 2007, you must skip this step. Otherwise, you must type a password in Passphrase, confirm the password by typing it again in Confirm Passphrase, and then click Next.

  13. On the Configure SharePoint Central Administration Web Application page, select the Specify port number check box, and type 17012.

    Team Foundation Server uses this as the port number for the SharePoint Products administration site. You can use any port number, but Team Foundation Server has always used 17012 as the port number for the SharePoint Products administration site.

  14. In Configure Security Settings, click NTLM, and then click Next.

  15. On the Completing the SharePoint Products and Technologies Configuration Wizard page, review the information, and then click Next.

  16. On the Configuration Successful page, click Finish.

Next Steps

This topic covers only the installation of SharePoint. If you install SharePoint without using one of the TFS wizards, you might have to complete additional tasks, which differ based on whether you are installing SharePoint on the same server as TFS or a remote server, and which version of SharePoint you're installing. Use the guidelines below to determine your next steps:

  • If you install SharePoint manually, you must provision SharePoint.¹ Use the SharePoint Central Administration site to create a Web application that uses port 80² and NTLM authentication.³ For more information, see the topic that matches the version of SharePoint you're using: Microsoft SharePoint Server 2010 (use Windows-classic authentication), Microsoft Office SharePoint Server 2007, or Windows SharePoint Services 3.0.

  • If you install the Enterprise Edition of either Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, then after you provision SharePoint, you must configure additional SharePoint settings before dashboards will function. You should make these configurations before you connect the portal to TFS. For more information, see Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility. If you're not using an Enterprise Edition of these SharePoint Products, ignore this bullet.

  • If you install SharePoint Products on a remote server (a server that is not running TFS), you must meet all the requirements in the previous bullets (provision SharePoint, make any Enterprise edition dashboard configurations necessary), and you must install the TFS Extensions for SharePoint on the server that is running SharePoint. For more information, see How to: Set Up Remote SharePoint Products for Team Foundation Server. If you're installing SharePoint on the same server as TFS, ignore this bullet.

¹The TFS installation wizards provision SharePoint Foundation 2010 automatically during installation of SharePoint.

²If you specify a port number other than 80, users must include it as part of the address, or else Team Foundation Server will not operate correctly.

³In SharePoint Server 2010, NTLM authentication is called "Windows-classic" authentication.

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server


Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility

[image]

Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility
Send Feedback

Before you can use the Enterprise edition of either Microsoft Office SharePoint Server 2007 or Microsoft SharePoint Server 2010, you must configure it to work with your deployment of Team Foundation Server. If you do not configure the settings that this topic describes, the reports and dashboards in team project portals might not have all the functionality that you expect or might not function correctly.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running Team Foundation Server. You must also be a member of the Farm Administrators group in SharePoint Products.

Configure SharePoint Server 2010

To manually configure the Enterprise edition of SharePoint Server 2010 for compatibility with Team Foundation Server, you must perform the procedures in this section.

Configure required services in SharePoint Server 2010

Team Foundation Server requires certain services to run in SharePoint Server 2010 for reports and dashboards to appear correctly in team project portals.

To configure services in SharePoint Server 2010

  1. On the server that is running SharePoint Server 2010, open SharePoint Central Administration, and then choose Configuration Wizards.

  2. Choose Start the Wizard.

  3. Make sure that the Excel Services Application and Secure Store Service check boxes have been selected, and then choose Next.

Configure Excel Services

For reports to operate correctly, you must also configure the web application that you created for Team Foundation Server to use a trusted file location for Excel Services.

To add a trusted file location

  1. In SharePoint Central Administration, under Application Management, choose Manage service applications.

  2. On the Manage Service Applications page, choose Excel Services Application.

  3. On the Manage Excel Services Application page, choose Trusted File Locations.

  4. Choose Add Trusted File Location.

  5. In Address, enter the URL of the root site of the web application that you will use with Team Foundation Server.

    You should specify the web application that you created for Team Foundation Server.

  6. In Location Type, choose Microsoft SharePoint Foundation.

  7. In Trust Children, select the Children trusted check box.

  8. In the External Data section, under Allow External Data, choose Trusted data connection libraries and embedded.

  9. (Optional) Clear the Refresh warning enabled check box.

  10. In Maximum Concurrent Queries Per Session, change the number to 20, and then choose OK.

Configure secure store service (optional)

In SharePoint Server 2010, the secure store service replaces the single sign-on service in Microsoft Office SharePoint Server 2007. To configure the secure store service, you must create a target application for the secure store. In Microsoft Office SharePoint Server 2007, this application was called an enterprise application definition.

To configure the secure store service

  1. In SharePoint Central Administration, under Application Management, choose Manage service applications.

  2. On the Manage Service Applications page, choose Secure Store Service.

  3. Choose New to create a secure store target application for Team Foundation Server.

    Tip Tip

    If you have not created a key, SharePoint Products prompts you to create one by choosing Generate New Key. Without a key, you cannot create a target application for the secure store.

  4. On the Create New Secure Store Target Application page, in Target Application ID and Display Name, enter TFS.

    Tip Tip

    You do not have to use TFS for Target Application ID or Display Name, but take note of whatever you use here, because you will need it to configure Team Foundation Server later.

  5. In Contact E-mail, enter the e-mail address of the person or group you want email messages about this application to be sent to.

  6. In the Target Application Type list, choose Group.

  7. In Target Application Page URL, choose None, and then choose Next.

  8. In Specify the credential fields for your Secure Store Target Application, choose Next to accept the default settings for the credential fields.

  9. In Specify the membership settings, enter the administrative account for the application in Target Application Administrators.

  10. In Members, enter the global security group from the domain that contains all the users to whom you want to grant access to dashboards and reports in Team Foundation Server, and then choose OK.

  11. On the Secure Store Service Application page, select the check box for the target application that you just created (named TFS if you used the naming guidance that was provided earlier in this topic), and then choose Set Credentials in the ribbon.

  12. In the Set Credentials for Secure Store Target Application (Group) dialog box, enter the name and password, confirm the password of the report reader account for Team Foundation Server, and then choose OK.

    Tip Tip

    TFSReports is the placeholder name of the report reader account.

Configure Office SharePoint Server 2007

To manually configure the Enterprise edition of Microsoft Office SharePoint Server 2007 for compatibility with Team Foundation Server, you must perform the procedures in this section.

Configure required services in Office SharePoint Server 2007

Team Foundation Server requires certain services to run in Microsoft Office SharePoint Server 2007 for reports and dashboards to appear correctly in team project portals.

To configure services in Office SharePoint Server 2007

  1. On the server that is running Microsoft Office SharePoint Server 2007, open SharePoint Central Administration.

  2. Choose the Operations tab, and under Topology and Services, choose Services on server.

  3. In Select server role to display services you will need to start in the table below, choose Single Server or Web Server for small server farms or Web server for medium server farms.

    Note Note

    For this procedure, both options are equally valid. The services are the same for both options.

  4. In Start services in the table below, find Excel Calculation Services, choose Start, and then wait for the operation to complete.

  5. In Start services in the table below, find Office SharePoint Server Search, and then choose Start.

    The Configure Office SharePoint Server Search Service Settings page opens.

  6. In Query and Indexing, select the Use this server for indexing content and Use this server for serving search queries check boxes.

  7. In Contact E-mail Address, enter the address of an email account to which external users should send mail about problems with this server.

  8. In Farm Search Service Account, enter the user name and password of a domain account to use as the search service account for Office SharePoint Server.

  9. Leave the rest of the settings in their default configurations, choose Start, and then wait for the operation to complete.

    Note Note

    The search service account that you specify for Office SharePoint Server requires special permissions and has security implications. For this account, you should not specify the service account that you use for SharePoint Products or a system account, such as Network Services. For more information, see the following page on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server.

  10. In Start services in the table below, find Windows SharePoint Services Search, and then choose Start.

    The Configure Windows SharePoint Services Search Service Settings page opens.

  11. In Service Account, enter the user name and password of a domain account to use as the service account.

  12. In Content Access Account, enter the user name and password of an account to use as the read-only access account.

  13. Leave the rest of the settings in their default configurations, choose Start, and then wait for the operation to complete.

    Note Note

    The accounts that you specify for the service account and the content access account both require special permissions and have security implications. For more information, see the following page on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server.

Create a shared service provider for use with Team Foundation Server

After you enable the services that Team Foundation Server requires, you must create a shared service provider (SSP) for use with Team Foundation Server. You will also create a SharePoint web application to support this SSP.

To create a shared service provider and the web application that it will use

  1. Choose Home to display the main page for Central Administration, and then choose Shared Services Administration.

  2. On the Manage this Farm's Shared Services page, choose New SSP.

    The New Shared Services Provider page appears.

  3. In SSP Name, either enter a name for the new SSP, or accept the default name.

    By default, the name is SharedServices followed immediately by a number (for example, SharedServices1).

  4. Choose Create a new Web application.

    The Create New Web Application page appears.

  5. In IIS Web site, choose Create a new IIS Web site.

  6. (Optional) In Description, change the value from the default value, SharePoint, to the name that you provided in the previous step (for example, SharedServices1).

    Important note Important

    Do not change the port number or remove the port number reference from the description.

  7. In Security Configuration, choose NTLM, and then choose Create a new application pool.

  8. In Application Pool, configure the following options:

    • In Application pool name, ensure that the name matches the name in Description.

    • In the Select a security account for this application pool section, choose Configurable, and then enter the user name and password of the service account for SharePoint Products.

  9. Leave the rest of the settings in their default configurations, and then choose OK.

    After the web application is created, the New Shared Services Provider page appears with an error message in the title bar. This behavior is expected.

  10. In SSP Name, in Web Application, verify that the name of the web application that you just created for the SSP appears, and do not modify the values of any settings in this section.

  11. In My Site Location, under My Site Location URL, in Relative URL, enter a relative URL if a site already exists at /.

    This URL is required only if a site already exists at /. Users typically specify /My, but you can specify any name that does not use prohibited characters. For more information, see the following page on the Microsoft website: Naming Restrictions in Team Foundation.

  12. In Enter the SSP Service Credentials, enter the user name and password of a domain account that you want to use as the account for the service credentials.

    Note Note

    You must specify a domain user account, but it doesn't have to be a member of any particular security group. Specify a unique user account that doesn't have administrative permissions. Do not use the service account for Team Foundation (TFSService) or the data reader account (TFSReports) because they both require permissions that this account should not have. For more information, see the following page on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server.

  13. Leave the rest of the settings in their default configurations, choose OK, and then wait for the operation to complete.

    Note Note

    If a warning message appears about hosting the administration site for SSP and the root site on the same server, choose OK.

  14. On the Success page, choose OK.

Configure single sign-on

To configure single sign-on, you must create an enterprise application definition. During the following procedure, you might need to log on with two sets of credentials. To successfully complete this procedure, the account with which you log on to the server that is running Microsoft Office SharePoint Server 2007 must be:

  • A domain user account, not a group account.

  • A member of the Farm Administrators group.

  • A member of the local Administrators group on the encryption-key server.

  • A member of the securityadmin and db_creator roles on the instance of SQL Server that will host the single sign-on database.

  • Either the same account that is used as the Single Sign-On Administrator Account or a member of the group account that is used as the Single Sign-On Administrator Account.

To configure single sign-on

  1. In SharePoint Central Administration, choose the Operations tab.

  2. Under Security Configuration, choose Service accounts.

  3. On the Service Accounts page, in the Credential Management section, choose Windows service, and then choose Single Sign-on Service from the list of services.

  4. In the Select an account for this component section, choose Configurable.

  5. Enter the user name and password of an account that you have configured to use as the sign-on account, and then choose OK.

    Note Note

    The service account that you specify requires special permissions and has security implications. The account must have the permissions that are required to log on interactively on this server and must be a member of the Administrators group on the single sign-on server. For this account, you should not specify the service account that you use for SharePoint Products or a system account, such as Network Services. For more information, see the following pages on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server, Plan for administrative and service accounts, Single Sign-On Service, and Start the Single Sign-On Service.

  6. Choose Start, Administrative Tools, Services.

  7. In Services, open the shortcut menu for Microsoft Single Sign-On Service, and then choose Properties.

  8. On the General tab, in Startup type, choose Automatic, choose Start, and then choose OK.

  9. In SharePoint Central Administration, choose the Operations tab.

  10. Under Security Configuration, choose Manage settings for single sign-on.

    Note Note

    To open this page, you might need to log on with the account and credentials that you configured in the previous step. In that case, you should switch users or start another session and log on to the server with that account. You should not log off your current user session. As an alternative, you can try the Sign In as a Different User function in SharePoint Central Administration, but that function might not work for this operation. To try to use this function, choose Welcome UserName at the top of the window, choose Sign In As A Different User, and then sign in with that account.

  11. On the Manage Settings For Single Sign-On page, choose Manage server settings.

    The Manage Server Settings for Single Sign-On page appears.

  12. In Single Sign-on Administrator Account, enter the user name and password of an account that you have configured to use as the sign-on account.

    Note Note

    The service account that you specify requires special permissions and has security implications. The account must have the permissions that are required to log on interactively on this server and must be a member of the Administrators group on the single sign-on server. For this account, you should not specify the service account that you use for SharePoint Products or a system account, such as Network Services. For more information, see the following pages on the Microsoft website: Service Accounts and Dependencies in Team Foundation Server, Plan for administrative and service accounts, Single Sign-On Service, and Start the Single Sign-On Service.

  13. In Enterprise Application Definition Administrator Account, enter the user name of the person or group of people whom you want to assign as the manager or managers of enterprise application definitions on this server.

    You should consider creating and using a group that you will use for all members of the Team Foundation Administrators group.

  14. Leave the rest of the settings in their default configurations, and then choose OK.

  15. On the Manage Settings For Single Sign-On page, choose Manage encryption key.

  16. On the Manage Encryption Key page, choose Create Encryption Key.

  17. On the Create Encryption Key page, choose OK.

    Important note Important

    Make sure that you back up the encryption key to a secure location.

  18. Return to the Manage Settings For Single Sign-On page.

    Note Note

    If you signed into SharePoint Central Administration with a different user account to change the settings for single sign-on, you should change back to a session that you are running with your own account. After you make this change, the top two options disappear from the Manage settings for Single Sign-On page.

  19. Choose Manage settings for the enterprise application definitions.

  20. On the Manage Settings for the Enterprise Application Definitions page, choose New Item.

    The Create an Enterprise Application Definition page appears.

  21. (Optional) In Application and Contact Information, in both Display name and Application name, enter TFS.

    This step is not required, but it can be useful for convenience in later identification.

  22. In E-mail address, enter the email address of the person or group to whom you want to email messages about this application to be sent.

  23. In Account type, choose Group.

  24. In Authentication type, choose Windows Authentication, and then choose OK.

  25. Return to the Manage Settings For Single Sign-On page, and then choose Manage account information for enterprise application definitions.

    The Manage Account Information for Enterprise Application Definitions page appears.

  26. In the Account information section, in the Enterprise account definition list, choose the name of the enterprise account definition that you created to support Team Foundation Server.

    If you followed the suggested naming convention, the name will be TFS.

  27. In Group account name, enter the name of a global security group in the domain that contains all the users to whom you want to grant access to dashboards and reports in Team Foundation Server, and then choose Set.

  28. In Provide Server Account Information, enter the name and password for the report reader account (referred to with the placeholder TFSReports), and then choose OK.

  29. On the Manage Account Information for Enterprise Application Definitions page, choose Done.

Add a trusted file location for Excel Services

For reports to operate correctly, you must also configure the web application that you created for Team Foundation Server to use a trusted file location for Excel Services.

To add a trusted file location

  1. In SharePoint Central Administration, choose Home to return to the home page for SharePoint Central Administration.

  2. Under Shared Services Administration, choose the name of the shared service provider that you created.

    If you followed the suggested naming convention, this application will be called SharedServices1.

    The home page for administering the web application opens.

  3. Under Excel Services Settings, choose Trusted file locations.

  4. On the Trusted File Locations page, choose Add trusted file location.

    The Excel Services Add Trusted File Location page appears.

  5. In Address, enter the URL of the root site of the web application that you will use with Team Foundation Server.

    You should specify the web application that you created in the Create a Web Application section.

  6. In Location Type, choose Windows SharePoint Services.

  7. In Trust Children, select the Children trusted check box.

  8. In the External Data section, under Allow External Data, choose Trusted data connection libraries and embedded.

  9. (Optional) Clear the Refresh Warning Enabled check box.

  10. In Maximum Concurrent Queries Per Session, change the number to 20, make sure that the Refresh warning enabled check box is cleared, and then choose OK.

Set the access model

After you configure all the settings and services that Team Foundation Server requires, you must configure the access model for the web application for single sign-on for delegation. If you do not configure the access model, Team Foundation Server and the web application cannot interoperate.

To set the access model

  1. On the server that is running SharePoint Central Administration, open a Command Prompt window.

  2. Change directories to %programfiles%\Common Files\Microsoft Shared\Web Server Extensions\12\bin, and enter the following command:

    stsadm -o set-ecssecurity -ssp SharedServiceProviderName -accessmodel delegation

    SharedServiceWebApplicationName is the name of the shared service provider that you created. If you followed the suggested naming convention, this name of that provider is SharedServices1.

  3. At the command prompt, enter iisreset to restart IIS.


Verify SharePoint Products for Team Foundation Server

[image]

Verify SharePoint Products for Team Foundation Server
See Also Send Feedback

If you choose to use an installation of SharePoint Products other than the one that was installed during Team Foundation Server installation, you should verify that your installation of SharePoint Products meets the following guidelines:

  • The administration site and default website are running, and other computers on the network can access them.

  • SharePoint Products uses NTLM, the recommended authentication. (Basic authentication is not supported by Team Foundation Server extensions for SharePoint Products.)

  • If you are using the enterprise edition of Office SharePoint Server 2007 or SharePoint Server 2010, you must configure settings for dashboard compatibility.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server that is running SharePoint Products.

To verify that the administration site and default website are running and that other computers on the network can access them

  1. On the server that is running SharePoint Products, choose Start, Run, enter inetmgr, and then choose OK.

    Internet Information Services (IIS) Manager appears.

  2. In Internet Information Services (IIS) Manager, open ServerName (local computer).

    ServerName is the name of the web server.

  3. Perform the appropriate steps for your operating system:

    For Windows Server 2008:

    1. Choose Sites, and then choose the default website.

    2. On the Actions pane, choose Browse :80 (http).

      The default website appears in the default browser.

    3. Choose the SharePoint Central Administration site.

      On the Actions pane, choose Browse :Port (http).

      Port is the number of the port that is bound to the SharePoint Central Administration site.

      The SharePoint Central Administration site appears in the default browser.

    For Windows Server 2003:

    1. On the shortcut menu for the default website, choose Browse.

      The default website appears in Internet Information Services (IIS) Manager.

    2. On the shortcut menu for the SharePoint Central Administration site, choose Browse.

      The SharePoint Central Administration site appears in Internet Information Services (IIS) Manager.

To verify that the default website uses recommended authentication

  1. In a web browser, open the SharePoint Central Administration site, and choose the Application Management tab.

  2. Under Application Security, choose Authentication Providers.

  3. In the Zone column, choose Default.

  4. In IIS Authentication Settings, make sure that the Integrated Windows authentication check box and the NTLM option are selected.

    Note Note

    You should check that the authentication setting that appears in the SharePoint Central Administration site matches the authentication setting that appears in IIS.

To verify that Office SharePoint Server 2007 or SharePoint Server 2010 is configured for dashboard compatibility

  • If you are using the Enterprise edition of Microsoft Office SharePoint Server 2007 or SharePoint Server 2010, perform the required configurations for dashboard compatibility. If you are using any other version of SharePoint Products, you can disregard this procedure. For more information, see Configure the Enterprise Editions of SharePoint Server 2010 or Office SharePoint Server 2007 for Dashboard Compatibility.

See Also

Concepts

Install Team Foundation Server
TFS Upgrade Requirements
How to: Set Up Remote SharePoint Products for Team Foundation Server


Configure the Enterprise Application Definition for Team Foundation Server

[image]

Configure the Enterprise Application Definition for Team Foundation Server
See Also Send Feedback

If you want to use a server that is running the Enterprise edition of Office SharePoint Server 2007 or SharePoint Server 2010, you must add the enterprise application definition to your deployment of Team Foundation Server. You created the enterprise application definition when you configured SharePoint Products for dashboard compatibility. You must perform this configuration before reports and dashboards will appear correctly in Team Foundation Server.

To configure the enterprise application definition

  1. On the server that is running Team Foundation Server Extensions for SharePoint Products, open the administration console for Team Foundation Server.

  2. Choose Extensions for SharePoint Products, and then choose the SharePoint web application for which you want to configure the enterprise application definition.

  3. Choose Modify access, enter the name of the enterprise application definition in Enterprise Application Definition (optional), and then choose OK.

See Also

Concepts

Install Team Foundation Server
How to: Set Up Remote SharePoint Products for Team Foundation Server


How to: Add Project Server to Team Foundation Server

[image]

How to: Add Project Server to Team Foundation Server
See Also Send Feedback

Installing Team Foundation Server Extensions for Project Server

Project Server integration with TFS

If you want to add Project Server to your Team Foundation Server deployment, you must first install onto Project Server the Team Foundation Server Extensions for Project Server. With the extensions in place, you can assign permissions and configure the integration using the steps below.

Tip Tip

If you upgrade Team Foundation Server, you should uninstall the extensions from Project Server and then install the latest version of the Team Foundation Server Extensions for Project Server on all the servers where it was previously installed. The version of the extensions you use should always match the version of Team Foundation Server you're running.

To install Team Foundation Server Extensions for Project Server

Step 1 Verify that your Project Server installation meets the requirements for Team Foundation Server extensions for Project Server. Team Foundation Server supports integration with Project Server 2010 with Service Pack 1 (SP1) or Project Server 2007 with SP2, but each installation has certain caveats noted in the Project Server requirements for Team Foundation Server topic below, along with some topology recommendations.

For more information: Project Server Requirements for Team Foundation Server.

Step 2 On Project Server, run the install from the Team Foundation Server product DVD. Grant permissions in Team Foundation Server, Project Server, and the SharePoint Products farm that hosts the Project Server. This might be the same SharePoint Products farm that you use to host the Team Foundation Server team portal sites, but not necessarily.

For more information: Install Team Foundation Server Extensions for Project Server, Assigning Permissions to Support Integration of Project Server and Team Foundation Server.

Step 3 Run the TFSAdmin command-line tool to configure integration. Once you complete configuration, verify that it works. The steps for verification are the six steps at the bottom of Configuration Quick Reference in the section, Verify Data Synchronization. The steps for using TFSAdmin appear in Configuring the Integration of Team Foundation Server and Project Server (links to both topics appear below).

For more information: Configuring the Integration of Team Foundation Server and Project Server, Configuration Quick Reference (see section, "Verify Data Synchronization").

Tip Tip

Download the most recent version of the Installation Guide for Team Foundation Server to see any late breaking changes to these steps.

See Also

Concepts

Install Team Foundation Server
TFS Upgrade Requirements


Install Team Foundation Server Extensions for Project Server

[image]

Install Team Foundation Server Extensions for Project Server
See Also Send Feedback

Follow these steps to install Team Foundation Server Extensions for Project Server on the Project Server. This process will not install Team Foundation Server, but only its extensions for Project Server.

Tip Tip

If multiple servers are running Project Server in a web farm, you must install and configure these extensions on every server in that farm.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group.

To install Team Foundation Server Extensions for Project Server

  1. Insert the Team Foundation Server DVD in the drive and launch the tfs_projectServerExtensions.exe file from the Project Server Extensions folder to begin the installation.

  2. On the license terms dialog, accept the license terms, select whether to help Microsoft improve its setup experience, and then choose Continue. If you want to install extensions for Project Server to a specific location in the file system, choose Customize.

  3. On the next screen, choose Install Now. You can also specify whether you want to update Team Foundation Server during setup by enabling Microsoft Updates.

  4. On the next screen, choose Close.

See Also

Concepts

How to: Add Project Server to Team Foundation Server


Project Server Requirements for Team Foundation Server

[image]

Project Server Requirements for Team Foundation Server
See Also Send Feedback

Team Foundation Server doesn't require Project Server, but if you want to use it, you must use a supported version. The version that you use has to have the Team Foundation Server extension for Project Server installed.

Tip Tip

If multiple servers are running Project Server in a web farm, you must install these extensions on every application-tier server in that farm. For Project Server 2010, you must install the extensions on any web-tier servers in the farm, too.

Supported versions, editions

  • Project Server 2013 ¹

  • Project Server 2010 with SP1

  • Project Server 2007 with SP3 or SP2 ²

Authentication

NTLM is the recommended authentication.

In SharePoint Server 2010, new authentication modes were introduced to SharePoint Products, but Team Foundation Server requires a web application that uses Windows-classic authentication.

In SharePoint Server 2013, Microsoft deprecated Windows classic-authentication in favor of claims-based authentication. TFS 2012 supports both, but for claims-based authentication, the authentication provider must be NTLM. TFS 2012 only supports NTLM-based claims.

¹ If you upgrade to Project Server 2013 from a Project Server 2010 installation that has been added to TFS, you have to perform a few extra steps to maintain the connection between TFS and Project Server. For more information, see this topic: Upgrade Microsoft Project Server 2010 to Microsoft Project Server 2013

² For its database backend, Project Server 2007 must use either SQL Server 2005 or SQL Server 2008 to work with Team Foundation Server.

Should you add Project Server to your current team project portal site?

Project Server is an extension of SharePoint Products. You can easily run Project Server on the same SharePoint Products farm you use for Team Foundation Server. If you run Project Server this way, you need to install both the Team Foundation Server extensions for SharePoint Products and the extensions for Project Server on the same server. Team Foundation Server recommends you use a web application running on port 80 for integration with SharePoint Products and you can use this same web application to host the Project Server projects. For example, the URL for team portal sites and Microsoft Project Web App (PWA) sites both hosted on a web application on port 80 might look something like these:

  • http://MOSS2010Server/sites/DefaultCollection/TFSProject

  • http://MOSS2010Server/pwa/EnterpriseProject

You can also run Project Server on its own SharePoint farm, separate from any farm where you might host team project portal sites. This would give you two SharePoint Products farm integrations in a single Team Foundation Server deployment.

Tip Tip

Team Foundation Server has no topology requirements for Project Server. For performance reasons, we recommend you run Project Server on a server other than Team Foundation Server. If you want to set up a sandbox integration of Project Server and Team Foundation Server, you could install all the products on a single server for demonstrations or test purposes.

See Also

Concepts

How to: Add Project Server to Team Foundation Server
SharePoint Products Requirements for Team Foundation Server


How to: Install Team Foundation Proxy and Set Up a Remote Site

[image]

How to: Install Team Foundation Proxy and Set Up a Remote Site
Send Feedback

Team Foundation Proxy

If you have developers at a remote site who are sharing code with developers at the main site, you might save bandwidth by caching version control files at the remote location. Team Foundation Server Proxy distributes popular version control files from its cache at the remote site, rather than having multiple developers from the remote site each download the same file from the main site. Your team at the remote site works like they always have, without managing which version control files get loaded into the cache.

To set this up, you install and configure the proxy server at the remote site, connect the proxy server to the application tier, and then connect the version control feature of Team Explorer to the proxy. Before you can start to cache files at the remote site, you must add the service account for the proxy server to Team Foundation Server at the main site.

To cache version control files at a remote site

Task

Detailed instructions

Step 1

Check for supported hardware and software. Verify that the operating system meets requirements for Team Foundation Server Proxy and that the hardware can run it.

  • System Requirements for Team Foundation Server Proxy

Step 2

Set up Team Foundation Server Proxy. Install Team Foundation Server Proxy. After the installation is finished, use the Team Foundation Server Configuration Tool to configure your proxy server.

  • Run Team Foundation Server Installation

  • How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool

Step 3

Connect Team Explorer to Team Foundation Server Proxy. After you configure the proxy server to connect to Team Foundation Server, you must configure Team Explorer to access version control files through the proxy server.

  • How to: Configure Team Foundation Version Control to use Proxy Server


System Requirements for Team Foundation Server Proxy

[image]

System Requirements for Team Foundation Server Proxy
See Also Send Feedback

You can install Team Foundation Server Proxy only on computers that are running the operating systems that this topic describes. In addition, you should review the hardware recommendations in this topic to determine what you need for optimal performance based on the size of your remote team. In general, you do not need as robust hardware for Team Foundation Server Proxy as you do for Team Foundation Server. However, you need more robust hardware for larger teams.

Operating-System Requirements

You can install Team Foundation Server Proxy on a server that is running one of the following server operating systems:

  • 64-bit versions of Windows Server 2008 with SP2 (Standard or Enterprise Edition)

  • 64-bit versions of Windows Server 2008 R2 (Standard or Enterprise Edition)

  • 64-bit versions of Windows Server 2012

Note Note

Team Foundation Server Proxy does not support the Server Core installation option.

Hardware Recommendations

In the following table, you should find the row that best describes your team size and then use the corresponding hardware recommendation as a guideline for the hardware to use for Team Foundation Server Proxy.

Remote team size | Hardware Recommendations (CPU/RAM) for Team Foundation Server Proxy
Teams that have 450 or fewer users | 1 processor, 2.2 GHz CPU, 2 GB RAM
Teams that have between 450 and 2,200 users | 2 processors, 2.0 GHz CPU, 2 GB RAM
Teams that have between 2,200 and 3,600 users | 4 processors, 2.0 GHz CPU, 2 GB RAM

See Also

Concepts

System Requirements for Team Foundation Server


How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool

[image]

How to: Configure Team Foundation Server Proxy Using the Team Foundation Server Configuration Tool
Send Feedback

You can use the procedures in this topic to configure Team Foundation Server Proxy.

Note Note

You can access the Team Foundation Server Configuration tool from the Start menu by launching Team Foundation Server Administration Console, choosing Proxy Server, and then choosing Configure Installed Features.

Required Permissions

To perform this procedure, you must be a member of the Administrators security group on the server on which you are configuring Team Foundation Server Proxy. You must be a member of the Project Collection Administrators group on TFS. If you connect the proxy to a collection on Visual Studio Online, you need the Microsoft account you used to set up the service.

To configure Team Foundation Server Proxy by using Team Foundation Server Configuration tool

  1. Choose Configure Team Foundation Server Proxy, and then choose Start Wizard.

    The Team Foundation Server Proxy Configuration wizard appears.

  2. Read the Welcome screen, and then choose Next.

  3. Choose Browse, and then choose the team project collection to which you want this proxy server to connect. Choose Next.

    Note Note

    If your team project collection is on Visual Studio Online, you're prompted to authenticate. Enter the Microsoft account you used to set up the service.

  4. Under Service Account, choose Use a system account to use Network Service or Use a user account to use a domain or local account. If you are using a user account, you must type the password. To test the user account and password combination, choose Test.

    Network Service is the default value for the proxy server service account.

  5. The following optional configurations appear under Advanced Configuration:

    • If you're connected to the hosted service, Account Name appears here.

      When you created the instance of Team Foundation Server on the hosted service, Account Name was automatically created for you. This account will be added to the Project Collection Proxy Service Accounts group on the hosted service. If you want to create a different account to use here, use the Administration page on the hosted site. For more information, see this topic.

    • If you're not connected to the hosted service, you can change authentication settings. Under Authentication Method, choose NTLM to use NTLM authentication or Negotiate (Kerberos) to first attempt Kerberos authentication, the more secure option, and if that fails, fall back to NTLM.

      NTLM is the default value.

  6. Choose Next.

  7. In Port, accept the default value of 8081 or type a different port number for connections to Team Foundation Server Proxy.

    8081 is the default value.

  8. In Cache Root Directory, accept the default value, or type the path of a different location in which to store cache files.

    The default value is Drive:\Program Files\Microsoft Team Foundation Server 11.0\Version Control Proxy\Web Services\_tfs_data

    Drive is the letter of the drive on which you want to store cache files. You can specify a mapped network drive.

  9. Choose Next.

  10. On the Review page, review the settings, and then choose Next.

    The wizard validates your configuration.

  11. Choose Configure.

    The wizard applies configuration settings.

  12. Choose Next.

  13. Choose Close.

  14. Choose Close.

    The Team Foundation Administration Console appears.


How to: Configure Team Foundation Version Control to use Proxy Server

[image]

How to: Configure Team Foundation Version Control to use Proxy Server
Send Feedback

You can configure Team Foundation version control to use a proxy server, which caches copies of version control files in the location of a distributed team. You may reduce bandwidth requirements for remote developers by using a proxy server.

Required Permissions

To perform this procedure, you must be a member of the Users security group on the computer on which you are configuring Team Explorer.

To configure Team Explorer to use Team Foundation Server Proxy

  1. Launch Microsoft Visual Studio 2012.

  2. On the Tools menu, choose Options.

    The Options dialog box appears.

  3. Expand Source Control, and then choose Visual Studio Team Foundation Server.

  4. Select the Use proxy server for file downloads check box.

  5. In the Proxy server name box, type the name of the computer that is hosting Team Foundation Server Proxy.

  6. In the Port box, type the port number for Team Foundation Server Proxy, and then click OK.

    Team Foundation Server Proxy typically listens for client requests on port 8081.


Accounts Required for Installation of Team Foundation Server

[image]

Accounts Required for Installation of Team Foundation Server
See Also Send Feedback

You must use service accounts to install Team Foundation Server, Team Foundation Build and Team Foundation Server Proxy. If you use reporting, you also need a report reader account when you install Team Foundation Server. This topic describes the requirements for service accounts and the report reader account for installation. For more information, see Service Accounts and Dependencies in Team Foundation Server.

Team Foundation Server requires multiple identities for installation, but you can use a single account for all the identities, as long as that account meets the requirements for all the identities for which you use it.

Tip Tip

Confused about accounts? New for this release is a tutorial available for Team Foundation Server installation that covers how to create accounts and groups for a single server installation. For more information, see Prepare for Installation

Best practices for accounts

  • None of the accounts in this topic should belong to the Administrators security group.

  • If you use domain accounts for your service accounts, you should use a different identity for the report reader account.

  • If you are installing a component in a workgroup, you must use local accounts for user accounts.

Report reader account

The report reader account is the identity that is used to gather information for reports. If you use reporting, you must specify a report reader account when you install Team Foundation Server.

If you install Team Foundation Server with the default options, the report reader account is also used as the identity of the service account for SharePoint Foundation 2010.

Feature | Sample user logon name ¹ | Requirements
Reporting | TFSREPORTS | You must specify a user account that has the Allow log on locally permission. Default: You are prompted for this account. You cannot use a built-in account for the report reader account.

Service accounts

Team Foundation Server, Team Foundation Build and Team Foundation Server Proxy all require a service account. These service accounts become the identity for the installed component. . By default, every component uses a built-in account (such as Network Service) as its service account. You can change this account to a user account when you install the component, but you must ensure that any user accounts that you use have the Log on as a service permission.

Tip Tip

Built-in accounts do not use passwords and already have the Log on as a service permission, making them easier to manage, especially in a domain environment.

Service accounts for Team Foundation Server

The service accounts in the following table are the identities for Team Foundation Server and its components.

The service account for Team Foundation Server is also used in Internet Information Services (IIS) as the identity of the application pool for Team Foundation Server.

Component

Sample user logon name ¹

Requirements

Team Foundation Server

TFSSERVICE

You can specify a built-in account or a user account. If you specify a user account, it must have the Log on as a service permission.

You must not use the account that you use to install Team Foundation Server as the account for TFSSERVICE. For example, if you are logged in as domain\user1 when you install Team Foundation Server, do not use domain\user1 as the account for TFSSERVICE.

If you are using reports, you must add TFSSERVICE to the Content Manager role on the server that is running SQL Server Reporting Services. For more information, see Add the Service Account for Team Foundation Server to the Report Server.

If your SharePoint site was not installed at the same time as Team Foundation Server, you must add TFSSERVICE to the Farm Administrators group for the SharePoint Central Administration site. For more information, see Add the Service Account for Team Foundation Server to the Farm Administrators Group.

Default: Network Service

Team Foundation Build

TFSBUILD

You can specify a built-in account or a user account. If you use a user account, it must have the Log on as a service permission.

Team Foundation Server Proxy

TFSPROXY

You can specify a built-in account or a user account. If you use a user account, it must have the Log on as a service permission.

Service accounts for additional software

The following table lists the service accounts that are the identities that are used to run Windows services for SharePoint Products and SQL Server.

The service account for SharePoint Products is also the identity of the application pool for the SharePoint Central Administration site.

Software | Sample user logon name ¹ | Requirements
SharePoint Products | WSSSERVICE | You must specify a user account. Default: If you install Team Foundation Server with the default options, the account that you specified as the report reader account is also used for this account.
SQL Server | SQLSERVICE | You can use a built-in system account or set up an account before you install SQL Server. Team Foundation Server has no requirements for this account.

¹ To make it easier to discuss the different accounts that Team Foundation Server requires, this guide uses the placeholder names that are specified in the tables above. You do not have to use these placeholder names for any accounts that you might create.

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
How to: Create a Team Foundation Server Farm (High Availability)
TFS Upgrade Requirements
Install Team Foundation Build Service
How to: Install Team Foundation Proxy and Set Up a Remote Site


Ports Required for Installation of Team Foundation Server

[image]

Ports Required for Installation of Team Foundation Server
See Also Send Feedback

Your firewall controls remote connections, and Team Foundation Server requires remote connections. You must ensure that your firewall does not block the connections Team Foundation Server requires. The tables in this topic show the default settings for TCP ports that Team Foundation Server, SQL Server, and SharePoint Products require.

Firewalls

If you are using Windows Firewall and it is configured to allow exceptions, the installation wizard for Team Foundation Server creates firewall exceptions for the components that you install, such as SharePoint Foundation 2010. If Windows Firewall is configured not to allow exceptions, you should configure it to allow exceptions during the installation of Team Foundation Server. Otherwise, you must manually create exceptions. For more information, see this page on the Microsoft website: How to Configure Windows Firewall on a Single Computer.

If you are using a software or hardware firewall from another company, you should check its documentation to determine how to open the TCP ports that installation requires.

Required Ports for SQL Server

The following table specifies the TCP ports that SQL Server (Standard or Enterprise Edition) requires.

Server or Application Context | TCP Port
SQL Service (Database Engine) | 14331
SQL Browser Service (Database Engine) | 1434
SQL Server Analysis Services Redirector | 2382
SQL Server Analysis Services | 2383
SQL Server Reporting Services | 80

1SQL Server uses port 1433 for the default instance. For named instances, SQL Server uses a dynamic port that the operating system assigns. Use SQL Server Configuration Manger to determine the SQL Server port number for any named instances. For more information, see this page on the Microsoft website: Configuring the Windows Firewall to Allow SQL Server Access.

Report Server Port Requirements

You must ensure that the report server contains an exception in Windows Firewall for Windows Management Instrumentation (WMI) if the report server is not on the server that is running Team Foundation Server. The instructions for completing this task differ based on the operating system that you are using. If you are using Windows Server 2003 or Windows Server 2003 R2, see the following page on the Microsoft website: Connecting Through Windows Firewall. If you are using Windows Server 2008, Windows Server 2008 R2, Windows Vista or Windows 7, see the following page on the Microsoft website: Connecting to WMI Remotely Starting with Windows Vista.

Required Ports for SharePoint Products

The table in this section specifies the TCP ports that SharePoint Foundation 2010 uses if it is installed by the installation wizard for Team Foundation Server.

These port numbers might be different for existing deployments of SharePoint Products. You can determine which port numbers SharePoint Products uses by opening Internet Information Services (IIS) Manager and looking at the properties of the websites. For more information, see Verify SharePoint Products for Team Foundation Server.

Server or Application Context | TCP Port
Default website | 80
SharePoint Central Administration | 17012

Required Ports for Team Foundation Server

By default, Team Foundation Server uses the following TCP ports:

Server or Application Context | TCP Port
Team Foundation Server | 8080
Team Foundation Server Proxy | 8081

See Also

Concepts

Install Team Foundation Server
How to: Install Team Foundation Server Using the Advanced Configuration
How to: Create a Team Foundation Server Farm (High Availability)
TFS Upgrade Requirements
Install Team Foundation Build Service
How to: Install Team Foundation Proxy and Set Up a Remote Site


How to: Add the Service Account for Team Foundation Server to the TFSEXECROLE SQL Server Database Role

[image]

How to: Add the Service Account for Team Foundation Server to the TFSEXECROLE SQL Server Database Role
Send Feedback

This error message might indicate that the service account for Team Foundation Server (TFSSERVICE) is no longer a member of TFSEXECROLE, a SQL Server database role created during Team Foundation Server installation.

To resolve this issue, you must manually add the service account (TFSSERVICE) for the primary application tier to TFSEXECROLE on the instance of SQL Server that hosts the configuration database.

For more information about service accounts, see Accounts Required for Installation of Team Foundation Server.

Required Permissions

To perform these procedures, you must be a member of the Administrators security group on the instance of SQL Server, which hosts the configuration database for the primary application tier.

To add the service account for Team Foundation Server to the TFSEXECROLE SQL Server database role

  1. Click Start, point to All Programs, point to Microsoft SQL Server 2008, and then click SQL Server Management Studio.

    The Connect to Server dialog box opens.

  2. In the Server type list, click Database Engine.

  3. Type the name of the server which hosts the configuration database for the primary application tier, and then click Connect.

  4. In Object Explorer, expand Databases, expand Tfs_DatabaseLabelApplication, expand Security, expand Roles, expand Database Roles, right-click TFSEXECROLE, and click Properties.

    Tfs_DatabaseLabelApplication might have a label substituted for DatabaseLabel, or it might appear as Tfs_Application.

    The Database Role Properties dialog box for TFSEXECROLE appears.

  5. Under Role Members, click Add.

    The Select Database User or Role dialog box appears.

  6. Type the service account (TFSSERVICE) for the primary application tier, and click OK.

  7. Click OK.